*Georgia Panel

clear all 
*Locals

cap mkdir "$dir_temp"

*** Clean up variables **  **  **  **  **  **  **  **  **  **  **  **  
* Import data from each wave and merge together
use "$dir_input\Tobacco Study_Data 2017 _4345.dta", clear
save "$dir_temp\wave 1.dta", replace

*use "$dir_input\Tobacco Study_Data 2018.dta", clear
use "$dir_input\Tobacco Study_Data 23.04.2018.dta", clear
save "$dir_temp\wave 2.dta", replace

**Wave 3, collected in two rounds:

*use "$dir_input\Tobacco Study_Data 2018.dta", clear
use "$dir_input\tobacco_3W_28.06.19.dta", clear
gen collectround=1
label var collectround "Round in which data was collected for Wave 3"
tempfile temp
save `temp'

use "$dir_input/tobacco_3W_238.dta", clear
gen collectround=2
label var collectround "Round in which data was collected for Wave 3"
append using `temp'
isid NUM

save "$dir_temp\wave 3.dta", replace


**Variable naming and labelling to identify wave
forvalues x=1/3{
	use "$dir_temp\wave `x'.dta", clear

	qui ds *, has(type string)
	local allstring `r(varlist)'
	local remov DEM_06
	local list1:list allstring-remov //tweak by BLM to leave the geo stuff out of this underscore replace
	di "`list1'"

	foreach var of varlist `list1' {
		replace `var'=trim(`var')
		replace `var'=lower(`var')
		replace `var'=subinstr(`var', " ", "_", .)
		ren `var', lower
	}
	qui ds *, has(type numeric)
	foreach var of varlist `=r(varlist)' {
		rename `var', lower
	}
	foreach var of varlist _all {
		rename `var' w`x'_`var'
	}
	foreach v of var * {
		local new : var label `v'
		label var `v' "W`x': `new'"
		}
	
	*Rename the value labels to be prefix w1 so as not to confuse later after the merge
	*All variables with value labels
	qui ds, has(vallabel)
	local vars `r(varlist)'

	foreach var of local vars {
	* Get the name of the value label for variable `var'
	local labname : value label `var'
	
	* Create a copy with prefix w1 + oldname
	label copy `labname' w`x'_`labname', replace
	* Assign that copy to variable `var'
	label value `var' w`x'_`labname'
	label drop `labname'			//added by BLM
	}
	save "$dir_temp\wave `x'.dta", replace
}
