
import excel "$dir\documents\geographic.xlsx", sheet("w1_formerge") firstrow clear

tempfile w1_geotemp
save "`w1_geotemp'"

use "$dir_temp\wave 1.dta", clear

ren w1_DEM_06 w1_dem_06

gen geo_code=.

foreach v in w1_region w1_district {
ren `v' temp
decode temp,  gen(`v')
drop temp
}

foreach v in w1_region w1_district w1_dem_06 {
	replace `v'=lower(`v')
}

replace w1_dem_06="" if regexm(w1_dem_06,"\?")==1

replace w1_dem_06=strtrim(w1_dem_06)
replace w1_dem_06=stritrim(w1_dem_06)

replace geo_code=1 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="agara"
replace geo_code=2 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="akhalcikhe"
replace geo_code=3 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="awyuri"
replace geo_code=4 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="giorgiwminda"
replace geo_code=5 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="ivlita"
replace geo_code=6 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="klde"
replace geo_code=7 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="murareti"
replace geo_code=8 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="sayuneti"
replace geo_code=9 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="skhvilisi"
replace geo_code=10 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="uraveli"
replace geo_code=11 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="vale"
replace geo_code=12 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="wawaraqi"
replace geo_code=13 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="wnisi"
replace geo_code=14 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 =="zemo skhvilisi"
replace geo_code=15 if w1_region =="akhaltsikhe" &  w1_district =="akhaltsikhe" &  w1_dem_06 ==""
replace geo_code=16 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="akhaldaba"
replace geo_code=17 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="arasenda"
replace geo_code=18 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="arbo"
replace geo_code=19 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="berbuki"
replace geo_code=20 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="celtubani"
replace geo_code=21 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="dici"
replace geo_code=22 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="didi ateni"
replace geo_code=23 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="flavismani"
replace geo_code=24 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="garejvari"
replace geo_code=25 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="gori"
replace geo_code=26 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="karaleti"
replace geo_code=27 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="kheltubani"
replace geo_code=28 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="khidistavi"
replace geo_code=29 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="mejvriskhevi"
replace geo_code=30 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="patara ateni"
replace geo_code=31 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="patara garejvari"
replace geo_code=32 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="patara mejvriskhevi"
replace geo_code=33 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="qordi"
replace geo_code=34 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="qvakhvreli"
replace geo_code=35 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="rekha"
replace geo_code=36 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="sindisi"
replace geo_code=37 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="skra"
replace geo_code=38 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="sveneti"
replace geo_code=39 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="tiniskhidi"
replace geo_code=40 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="tirznisi"
replace geo_code=41 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="tyviavi"
replace geo_code=42 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="ufliscikhe"
replace geo_code=43 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="variani"
replace geo_code=44 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 ==""
replace geo_code=45 if w1_region =="gori" &  w1_district =="gori" &  w1_dem_06 =="zevera"
replace geo_code=46 if w1_region =="kutaisi" &  w1_district =="qutaisi" &  w1_dem_06 =="qutaisi"
replace geo_code=47 if w1_region =="kutaisi" &  w1_district =="qutaisi" &  w1_dem_06 ==""
replace geo_code=48 if w1_region =="tbilisi" &  w1_district =="chugureti" &  w1_dem_06 =="tbilisi"
replace geo_code=49 if w1_region =="tbilisi" &  w1_district =="chugureti" &  w1_dem_06 ==""
replace geo_code=50 if w1_region =="tbilisi" &  w1_district =="didubi" &  w1_dem_06 =="tbilisi"
replace geo_code=51 if w1_region =="tbilisi" &  w1_district =="didubi" &  w1_dem_06 ==""
replace geo_code=52 if w1_region =="tbilisi" &  w1_district =="gldani" &  w1_dem_06 =="tbilisi"
replace geo_code=53 if w1_region =="tbilisi" &  w1_district =="gldani" &  w1_dem_06 ==""
replace geo_code=54 if w1_region =="tbilisi" &  w1_district =="isani" &  w1_dem_06 =="tbilisi"
replace geo_code=55 if w1_region =="tbilisi" &  w1_district =="isani" &  w1_dem_06 ==""
replace geo_code=56 if w1_region =="tbilisi" &  w1_district =="krwanisi" &  w1_dem_06 =="foniwala"
replace geo_code=57 if w1_region =="tbilisi" &  w1_district =="krwanisi" &  w1_dem_06 =="tbilisi"
replace geo_code=58 if w1_region =="tbilisi" &  w1_district =="krwanisi" &  w1_dem_06 ==""
replace geo_code=59 if w1_region =="tbilisi" &  w1_district =="mtawminda" &  w1_dem_06 =="tbilisi"
replace geo_code=60 if w1_region =="tbilisi" &  w1_district =="nadzaladevi" &  w1_dem_06 =="tbilisi"
replace geo_code=61 if w1_region =="tbilisi" &  w1_district =="nadzaladevi" &  w1_dem_06 ==""
replace geo_code=62 if w1_region =="tbilisi" &  w1_district =="saburtalo" &  w1_dem_06 =="diromi"
replace geo_code=63 if w1_region =="tbilisi" &  w1_district =="saburtalo" &  w1_dem_06 =="tbilisi"
replace geo_code=64 if w1_region =="tbilisi" &  w1_district =="saburtalo" &  w1_dem_06 ==""
replace geo_code=65 if w1_region =="tbilisi" &  w1_district =="samgori" &  w1_dem_06 =="patara lilo"
replace geo_code=66 if w1_region =="tbilisi" &  w1_district =="samgori" &  w1_dem_06 =="tbilisi"
replace geo_code=67 if w1_region =="tbilisi" &  w1_district =="samgori" &  w1_dem_06 =="varketili"
replace geo_code=68 if w1_region =="tbilisi" &  w1_district =="samgori" &  w1_dem_06 ==""
replace geo_code=69 if w1_region =="tbilisi" &  w1_district =="vake" &  w1_dem_06 =="bagebi"
replace geo_code=70 if w1_region =="tbilisi" &  w1_district =="vake" &  w1_dem_06 =="tbilisi"
replace geo_code=71 if w1_region =="tbilisi" &  w1_district =="vake" &  w1_dem_06 =="wyneti"
replace geo_code=72 if w1_region =="tbilisi" &  w1_district =="vake" &  w1_dem_06 ==""
replace geo_code=73 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="akhalkakhati"
replace geo_code=74 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="anaklia"
replace geo_code=75 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="centri"
replace geo_code=76 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="darceli"
replace geo_code=77 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="ganmukhuri"
replace geo_code=78 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="ingiri"
replace geo_code=79 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="jikhaskari"
replace geo_code=80 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="kakhati"
replace geo_code=81 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="odisi"
replace geo_code=82 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="orsantia"
replace geo_code=83 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="qalaqi"
replace geo_code=84 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="sofeli"
replace geo_code=85 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="witawyari"
replace geo_code=86 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="yuliskari"
replace geo_code=87 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 =="zugdidi"
replace geo_code=88 if w1_region =="zugdidi" &  w1_district =="zugdidi" &  w1_dem_06 ==""


merge m:1 geo_code using "`w1_geotemp'"
drop _merge

ren new_prov w1_geo_province
ren new_citymuni w1_geo_municipality
ren new_district w1_geo_district 
label var w1_geo_province "Geograpic level 1 - province"
label var w1_geo_municipality "Geographic level 2 - municipality/metro"
label var w1_geo_district "Geographic level 3 - district/city district"
drop geo_code w1_region w1_district

save "$dir_temp\wave 1 geo.dta", replace