
import excel "$dir\documents\geographic.xlsx", sheet("w3_formerge") firstrow clear

tempfile w3_geotemp
save "`w3_geotemp'"

use "$dir_temp\wave 3.dta", clear

ren w3_DEM_06 w3_dem_06
ren w3_municipality w3_region
gen geo_code=.

foreach v in w3_region w3_district {
ren `v' temp
decode temp,  gen(`v')
drop temp
}

foreach v in w3_region w3_district w3_dem_06 {
	replace `v'=lower(`v')
}

replace w3_dem_06=strtrim(w3_dem_06)
replace w3_dem_06=stritrim(w3_dem_06)

replace geo_code=1 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="agara"
replace geo_code=2 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="akhalcikhe"
replace geo_code=3 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="atskuri"
replace geo_code=4 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="awuiri"
replace geo_code=5 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="awyuri"
replace geo_code=6 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="axalcixe"
replace geo_code=7 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="axalcixis sofeli awyuri"
replace geo_code=8 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="chacharaqi"
replace geo_code=9 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="chhacharaqi"
replace geo_code=10 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="cxvilisi"
replace geo_code=11 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="giorgitsminda"
replace geo_code=12 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="giorgiwminda"
replace geo_code=13 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="ivlita"
replace geo_code=14 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="jajaraqi"
replace geo_code=15 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="klde"
replace geo_code=16 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="majvelisvilis 34"
replace geo_code=17 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="manvelisvilis 12"
replace geo_code=18 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="migateti"
replace geo_code=19 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="mugareti"
replace geo_code=20 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="mugateti"
replace geo_code=21 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="sakuneti"
replace geo_code=22 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="sayunet"
replace geo_code=23 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="sayuneti"
replace geo_code=24 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="shkhvilisi"
replace geo_code=25 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="skhvilisi"
replace geo_code=26 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="sxilisi"
replace geo_code=27 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="sxvilisi"
replace geo_code=28 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="sxvilisshi"
replace geo_code=29 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="uraveli"
replace geo_code=30 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="vale"
replace geo_code=31 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="wawaraqi"
replace geo_code=32 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 =="wnisi"
replace geo_code=33 if w3_region =="akhaltsikhe" &  w3_district =="akhaltsikhe" &  w3_dem_06 ==""
replace geo_code=34 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 ==".xeltubani"
replace geo_code=35 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="arbo"
replace geo_code=36 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="armaseneblis45"
replace geo_code=37 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="asenda"
replace geo_code=38 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="ashenda"
replace geo_code=39 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="ateni"
replace geo_code=40 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="axaldaba"
replace geo_code=41 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="berbuki"
replace geo_code=42 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="chala"
replace geo_code=43 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="cindisi"
replace geo_code=44 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="deera"
replace geo_code=45 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="devera"
replace geo_code=46 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="dici"
replace geo_code=47 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="didi garehvari"
replace geo_code=48 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="didi garejvari"
replace geo_code=49 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="didi gatejvari"
replace geo_code=50 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="flavismani"
replace geo_code=51 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="garejvari"
replace geo_code=52 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="gogebashvilisq."
replace geo_code=53 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="gori"
replace geo_code=54 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="gorkis43"
replace geo_code=55 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="karaleti"
replace geo_code=56 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="kheltubani"
replace geo_code=57 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="khidistavi"
replace geo_code=58 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="khidistavis"
replace geo_code=59 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="kvernakid dasakhleba"
replace geo_code=60 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="mejvriskhevi"
replace geo_code=61 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="mejvriskhrvi"
replace geo_code=62 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="mejvrisxevi"
replace geo_code=63 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="mshvidobis 3"
replace geo_code=64 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="mshvidobis 9"
replace geo_code=65 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="patara garejvari"
replace geo_code=66 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="petriasvilis q."
replace geo_code=67 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="qordi"
replace geo_code=68 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="qucisvilis"
replace geo_code=69 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="qucisvilis4"
replace geo_code=70 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="qvakhvreli"
replace geo_code=71 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="qvaxvreli"
replace geo_code=72 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="rexa"
replace geo_code=73 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="roca"
replace geo_code=74 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="shindisi"
replace geo_code=75 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="simdisi"
replace geo_code=76 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="sindisi"
replace geo_code=77 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="skra"
replace geo_code=78 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="stalinis q."
replace geo_code=79 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="stalinis10bina12/13"
replace geo_code=80 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="sveneti"
replace geo_code=81 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tamar mefis 114"
replace geo_code=82 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tamar mefis 5"
replace geo_code=83 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tinisxidi"
replace geo_code=84 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tirdznisi"
replace geo_code=85 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tirznisi"
replace geo_code=86 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tkviavi"
replace geo_code=87 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tsminda tskali"
replace geo_code=88 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tyviavi"
replace geo_code=89 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="tyviavis1/28"
replace geo_code=90 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="ufliscixe"
replace geo_code=91 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="variani"
replace geo_code=92 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="xeltubami"
replace geo_code=93 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="xeltubani"
replace geo_code=94 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 =="xidistavi"
replace geo_code=95 if w3_region =="gori" &  w3_district =="gori" &  w3_dem_06 ==""
replace geo_code=96 if w3_region =="kutaisi" &  w3_district =="kutaisi" &  w3_dem_06 =="nikea"
replace geo_code=97 if w3_region =="kutaisi" &  w3_district =="kutaisi" &  w3_dem_06 =="ninoshvilis q."
replace geo_code=98 if w3_region =="kutaisi" &  w3_district =="kutaisi" &  w3_dem_06 ==""
replace geo_code=99 if w3_region =="tbilisi" &  w3_district =="chugureti" &  w3_dem_06 =="tbilisi"
replace geo_code=100 if w3_region =="tbilisi" &  w3_district =="chugureti" &  w3_dem_06 ==""
replace geo_code=101 if w3_region =="tbilisi" &  w3_district =="didube" &  w3_dem_06 =="tbilisi"
replace geo_code=102 if w3_region =="tbilisi" &  w3_district =="didube" &  w3_dem_06 ==""
replace geo_code=103 if w3_region =="tbilisi" &  w3_district =="gldani" &  w3_dem_06 =="tbilisi"
replace geo_code=104 if w3_region =="tbilisi" &  w3_district =="gldani" &  w3_dem_06 ==""
replace geo_code=105 if w3_region =="tbilisi" &  w3_district =="isani" &  w3_dem_06 =="patara lilo"
replace geo_code=106 if w3_region =="tbilisi" &  w3_district =="isani" &  w3_dem_06 ==""
replace geo_code=107 if w3_region =="tbilisi" &  w3_district =="krtcanisi" &  w3_dem_06 =="fonichala"
replace geo_code=108 if w3_region =="tbilisi" &  w3_district =="krtcanisi" &  w3_dem_06 =="foniwala"
replace geo_code=109 if w3_region =="tbilisi" &  w3_district =="krtcanisi" &  w3_dem_06 =="tbilisi"
replace geo_code=110 if w3_region =="tbilisi" &  w3_district =="krtcanisi" &  w3_dem_06 ==""
replace geo_code=111 if w3_region =="tbilisi" &  w3_district =="mtatsminda" &  w3_dem_06 =="tbilisi"
replace geo_code=112 if w3_region =="tbilisi" &  w3_district =="mtatsminda" &  w3_dem_06 ==""
replace geo_code=113 if w3_region =="tbilisi" &  w3_district =="nadzaladevi" &  w3_dem_06 =="tbilisi"
replace geo_code=114 if w3_region =="tbilisi" &  w3_district =="nadzaladevi" &  w3_dem_06 ==""
replace geo_code=115 if w3_region =="tbilisi" &  w3_district =="saburtalo" &  w3_dem_06 =="tbilisi"
replace geo_code=116 if w3_region =="tbilisi" &  w3_district =="saburtalo" &  w3_dem_06 ==""
replace geo_code=117 if w3_region =="tbilisi" &  w3_district =="samgori" &  w3_dem_06 =="patara lilo"
replace geo_code=118 if w3_region =="tbilisi" &  w3_district =="samgori" &  w3_dem_06 =="tbilisi"
replace geo_code=119 if w3_region =="tbilisi" &  w3_district =="samgori" &  w3_dem_06 =="varketili"
replace geo_code=120 if w3_region =="tbilisi" &  w3_district =="samgori" &  w3_dem_06 ==""
replace geo_code=121 if w3_region =="tbilisi" &  w3_district =="vake" &  w3_dem_06 =="tbilisi"
replace geo_code=122 if w3_region =="tbilisi" &  w3_district =="vake" &  w3_dem_06 ==""
replace geo_code=123 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="akhalkakhati"
replace geo_code=124 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="anaklai"
replace geo_code=125 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="anaklia"
replace geo_code=126 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="axalkaxati"
replace geo_code=127 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="besikis 24"
replace geo_code=128 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="c.dadianis q.2 b .34"
replace geo_code=129 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="dadianis 43"
replace geo_code=130 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="darceli"
replace geo_code=131 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="gamsakhurdias q"
replace geo_code=132 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="ganmoxuri"
replace geo_code=133 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="ganmuxuri"
replace geo_code=134 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="igiri"
replace geo_code=135 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="ingiri"
replace geo_code=136 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="ingri"
replace geo_code=137 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="jixaskari"
replace geo_code=138 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="kaxati"
replace geo_code=139 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="odishi"
replace geo_code=140 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="odisi"
replace geo_code=141 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="onaria"
replace geo_code=142 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="orsanti"
replace geo_code=143 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="orsantia"
replace geo_code=144 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="orsatia"
replace geo_code=145 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="sajvaro"
replace geo_code=146 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="tamar mefis q."
replace geo_code=147 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="witawyari"
replace geo_code=148 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="yuliskari"
replace geo_code=149 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 =="zugdidi"
replace geo_code=150 if w3_region =="zugdidi" &  w3_district =="zugdidi" &  w3_dem_06 ==""

merge m:1 geo_code using "`w3_geotemp'"

br w3_region w3_district w3_dem_06 new* geo_code 
drop _merge


ren new_prov w3_geo_province
ren new_citymuni w3_geo_municipality
ren new_district w3_geo_district 
label var w3_geo_province "Geograpic level 1 - province"
label var w3_geo_municipality "Geographic level 2 - municipality/metro"
label var w3_geo_district "Geographic level 3 - district/city district"
drop geo_code w3_region w3_district

ren w3_geo_province w3_municipality //to match FC for now
save "$dir_temp\wave 3 geo.dta", replace
