
* Fixing Unique IDs
* Wave 1
use "$dir_temp\wave 1 geo.dta", clear  //this used to just say wave 1 but BLM has added geo as he fixed the geo codes

gen wave1=1 //BLM
destring w1_num, replace
ren w1_num pid
gen hhid=pid
label var hhid "HH ID"
label var pid "Personal ID"
isid pid
sort pid
tempfile temp
save "`temp'"

* Wave 2
use "$dir_temp\wave 2 geo.dta", clear
gen wave2=1 //BLM
destring w2_num w2_hh_id, replace
ren w2_num pid
label var pid "Personal ID"

*Correct the pid that are mislabeled - details from discussion with Bela on 22 Apr in Tbilisi
*First correct their label to be more descriptive
label drop w2_DEM_02
label def w2_DEM_02 1 "Respondent available" 2 "Respondent refuses" 3 "Household refuses" 4 "No one home"

*First we had some hh where they refused and then the interviewer replaced them with a new hh but gave them the same hhid
tempvar r
gen `r'=1 if w2_dem_02==1 & pid==247
replace pid=21258 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w2_dem_02==1 & pid==257
replace pid=21259 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w2_dem_02==1 & pid==484
replace pid=21260 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w2_dem_02==1 & pid==672
replace pid=21261 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w2_dem_02==1 & pid==1565
replace pid=21262 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w2_dem_02==1 & pid==2107
replace pid=21263 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w2_dem_02==1 & pid==3012
replace pid=21264 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w2_dem_02==1 & pid==3186
replace pid=21265 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w2_dem_02==1 & pid==3912
replace pid=21266 if `r'==1
replace w2_hh_id=pid if `r'==1
replace w2_dem_12=3 if `r'==1

*Next we had some where at first there was no one home, and then they came back and got refused (make wide in this case)
label var w2_dem_02 "Response first time visited hh"
tempvar r
gen `r'=1 if (pid==1060|pid==1208|pid==3494|pid==3516|pid==3517|pid==3518)&w2_dem_02==4
gen w2_dem_022=w2_dem_02 if `r'==1
bys pid: egen w2_dem_02_2=max(w2_dem_022)
drop if `r'==1 & w2_dem_02==4
label var w2_dem_02_2 "Response second time visited hh"
label val w2_dem_02_2 w2_DEM_02

*Next we had some cases where two different people in the hh refused
sort pid w2_dem_01
quietly by pid:  gen dup = cond(_N==1,0,_n)
tempvar r
gen `r'=1 if (pid==3013|pid==3505|pid==3521)&dup==2
replace w2_dem_022=w2_dem_02 if `r'==1
bys pid: egen x=max(w2_dem_022)
replace w2_dem_02_2=x if (pid==3013|pid==3505|pid==3521)
drop if `r'==1
drop x

*Finally we had some cases where the hh refused twice
tempvar r
gen `r'=1 if pid==3448&dup==2
replace w2_dem_022=w2_dem_02 if `r'==1
bys pid: egen x=max(w2_dem_022)
replace w2_dem_02_2=x if pid==3448
drop if `r'==1
drop x

*Wrong pids as per Bela's email on the 29 July
replace pid=41 if pid==30
replace pid=33 if pid==32
replace pid=1731 if pid==1232
replace pid=2052 if pid==2059

isid pid
sort pid
ren w2_hh_id hhid
label var hhid "HH ID"
merge 1:1 pid using "`temp'" /*Both waves 2770; only in wave 1: 1589; new from wave 2, 1257*/
ren _m merge12
label def merge12 1 "W2" 2 "W1" 3 "W1&W2"
label val merge12 merge12
sort pid
tempfile temp12
save `temp12'

* Wave 3
use "$dir_temp\wave 3 geo.dta", clear
gen wave3=1
ren w3_num pid
label var pid "Personal ID"
isid pid

* Correct the same households as those corrected in Wave 2 as per Iago email on 6 Aug 2019 (the duplicates where we had some hh where they refused and then the interviewer replaced them with a new hh but gave them the same hhid)
tempvar r
gen `r'=1 if w3_dem_02==1 & pid==247
replace pid=21258 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w3_dem_02==1 & pid==257
replace pid=21259 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w3_dem_02==1 & pid==484
replace pid=21260 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w3_dem_02==1 & pid==672
replace pid=21261 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w3_dem_02==1 & pid==1565
replace pid=21262 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w3_dem_02==1 & pid==2107
replace pid=21263 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w3_dem_02==1 & pid==3012
replace pid=21264 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w3_dem_02==1 & pid==3186
replace pid=21265 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

tempvar r
gen `r'=1 if w3_dem_02==1 & pid==3912
replace pid=21266 if `r'==1
replace w3_hh_id=pid if `r'==1
replace w3_dem_12=3 if `r'==1

ren w3_hh_id w3_hhid
label var w3_hhid "W3 HH ID"
destring w3_hhid pid, replace

sort pid
merge 1:1 pid using "`temp12'" 
ren _m merge312
label def merge312 1 "W3 only" 2 "Not in W3" 3 "W3 & others"
label val merge312 merge312

**Fixing two other things:
replace hhid=w3_hhid if merge312==1
*drop w3_hhid /*Note that Bela emailed me on 17 July 2019 to say that w3_hhid should be hhid where merge312==3*/
*numlabel, ad

