** RENAME VARIABLES IN EACH WAVE TO BE STANDARDISED 
**BLM: AND firdale is changing all sorts of values 

********************************************** 
//cap ssc install sencode run this once

*Wave 1 only
*No hh agree to participate
tab w1_dem_01 /*94 not read it but this should be 91 as you must minus the 3 below - emailed about this and fixed below*/
tab w1_dem_01 w1_dem_02
replace w1_dem_01=1 if w1_dem_02==1

* HH size
ren w1_hh4 w1_hh_size
ren w1_total w1_hh_adults

* HH: Age, Gender, Smoke status of adults
levelsof w1_hh_adults, local(x) /*Store the number of ppl living in the hh*/
foreach x in `x'{
	gen w1_hh_age`x'=w1_hh7_`x'
	gen w1_hh_smk`x'=w1_hh10_`x'
	gen w1_hh_gen`x'=w1_hh9_`x'
}

* IND gen
ren w1_a1 w1_gen
*IND age
ren w1_a3 w1_age
*IND ed
ren w1_a4 w1_ed
*IND work
gen w1_wrk=w1_a5
*IND Daily or non-daily use
ren w1_b1 w1_smk_freq
*IND Brand of cigarettes last bought
gen w1_smk_b=w1_c4_3
gen w1_smk_brand2=. /*need this variable as in wave 3 there were three different variables for brand last bought*/
ren w1_sigareti w1_smk_brand1
*IND Create a DEM_02 var
gen w1_dem_02_2=. /*to make the same variable as we have in wave 2*/
*IND Show first pack
ren w1_c7 w1_smk_show1
*IND Have and show other pack
ren w1_c9 w1_othpkhv
ren w1_c10 w1_othpkshow
*IND Type of cigarettes shown
ren w1_c7_2 w1_smk_show_type1 /*first pack*/
ren w1_c10_2 w1_smk_show_type2 /*second pack*/
*IND Shown pack price
ren w1_c8 w1_sp
ren w1_c11 w1_sp2
*IND Shown pack brand	
gen w1_smk_show_b1=w1_c7_3_3 /*first pack*/
replace w1_smk_show_b1=w1_other_product_3 if w1_c7_3_3==. 
gen w1_smk_show_b2=w1_c10_3_3 /*second pack*/

*Correct smk_show_type to reflect RYO if the brand is RYO as per George's Excel doc reflecting the brands & also if someone recorded missing under the brand, and the person indicated they used RYO, Other or both cig and RYO we might assume that the surveyor just recorded it as missing as they had shown loose tobacco
foreach n in 1{
	foreach pack in 1 2 {
		replace w`n'_smk_show_type`pack'=3 if (w`n'_smk_show_b`pack'==301|w`n'_smk_show_b`pack'==307|w`n'_smk_show_b`pack'==315|w`n'_smk_show_b`pack'==318|w`n'_smk_show_b`pack'==320|w`n'_smk_show_b`pack'==321|(w`n'_smk_show_b`pack'>=324 & w`n'_smk_show_b`pack'<=327)|w`n'_smk_show_b`pack'==330|w`n'_smk_show_b`pack'==334|w`n'_smk_show_b`pack'==337|w`n'_smk_show_b`pack'==338|w`n'_smk_show_b`pack'==340|w`n'_smk_show_b`pack'==344|w`n'_smk_show_b`pack'==357|w`n'_smk_show_b`pack'==359|w`n'_smk_show_b`pack'==360|w`n'_smk_show_b`pack'==386|w`n'_smk_show_b`pack'==387|w`n'_smk_show_b`pack'==389|w`n'_smk_show_b`pack'==401)
	}
}
*IND Shown pack tax stamp
ren w1_c7_4 w1_txst /*first pack*/
replace w1_txst=. if w1_smk_show_type1==3
gen w1_txst2=1 if w1_c10_4==1 /*second pack*/
replace w1_txst2=. if w1_smk_show_type2==3
*IND Shown pack health warning
ren w1_c7_5 w1_sh /*first pack*/
replace w1_sh=. if w1_smk_show_type1==3
ren w1_c10_5 w1_sh2 /*second pack*/
replace w1_sh2=. if w1_smk_show_type2==3

*IND size illicit (note only asked in W1)
ren w1_d3 w1_size
label var w1_size "Size of illicit trade market"
*IND Would people still buy illegal even if they knew
ren w1_d5 w1_know
*HH PSU
ren w1_dem_11 w1_psu
* Interviewer id
ren w1_inter w1_int_id
*IND. Where bought tobacco
recode w1_c5 (2=1) (1=2) (8=3) (3 13=4) (4=5) (5 6 10 12 =6) (14=7), gen(w1_smk_w)
label def smk_w 1 "Supermarket" 2 "Kiosk" 3 "Marketplace" 4 "Street stand" 5 "House shop" 6 "Other" 7 "Outside the country" 77 "Don't know" 99 "Refuse to answer" 
label val w1_smk_w smk_w
*drop w1_b4 as we need one that is more in line with what we have for w3 (new way of asking it came up) (use daily and monhtly)
drop w1_b4
gen w1_b4=1 if (w1_b4_a>0 & w1_b4_a!=.) & (w1_b4_b_gr==.|w1_b4_b_gr==0) & (w1_b4_c_gr==.|w1_b4_c_gr==0) & (w1_b4_d>=888|w1_b4_d==0) & (w1_b4_e>=888|w1_b4_e==0) & (w1_b4_f>888| w1_b4_f==2)
replace w1_b4=2 if w1_b4_b_gr==1 & (w1_b4_a==0|w1_b4_a!=.) & (w1_b4_c_gr==.|w1_b4_c_gr==0) & (w1_b4_d>=888|w1_b4_d==0) & (w1_b4_e>=888|w1_b4_e==0) & (w1_b4_f>888| w1_b4_f==2)
replace w1_b4=3 if w1_b4_b_gr==1 & (w1_b4_a>0 & w1_b4_a!=.) & (w1_b4_c_gr==.|w1_b4_c_gr==0) & (w1_b4_d>=888|w1_b4_d==0) & (w1_b4_e>=888|w1_b4_e==0) & (w1_b4_f>888| w1_b4_f==2)
replace w1_b4=4 if ((w1_b4_a>0 & w1_b4_a!=.)|w1_b4_b_gr==1) & w1_b4_c_gr==1
replace w1_b4=5 if w1_b4==. & w1_b4_c_gr==1
replace w1_b4=6 if w1_b4==. & (w1_b4_f_0==1|(w1_b4_e>0 & w1_b4_e<888)|(w1_b4_d>0 & w1_b4_d<888))

*Add in monthly
replace w1_b4=1 if w1_b7_a>0 & w1_b7_a<777 & w1_b4==. & (w1_b7_b==.|w1_b7_b==0) & (w1_b7_c==.|w1_b7_c==0) & (w1_b7_d==.|w1_b7_d==0) & (w1_b7_e==.|w1_b7_e==0) & (w1_b7_f_0==.|w1_b7_f_0==2)
replace w1_b4=2 if w1_b7_b>0 & w1_b7_b<777 & w1_b4==. & w1_b7_a==. & (w1_b7_c==.|w1_b7_c==0) & (w1_b7_d==.|w1_b7_d==0) & (w1_b7_e==.|w1_b7_e==0) & (w1_b7_f_0==.|w1_b7_f_0==2)
replace w1_b4=3 if (w1_b7_b>0 & w1_b7_b<777 & w1_b7_a>0 & w1_b7_a<777) & w1_b4==. & (w1_b7_c==.|w1_b7_c==0) & (w1_b7_d==.|w1_b7_d==0) & (w1_b7_e==.|w1_b7_e==0) &(w1_b7_f_0==.|w1_b7_f_0==2)
replace w1_b4=4 if w1_b4==3 & w1_b7_c>0 & w1_b7_c<777 & (w1_b7_d==.|w1_b7_d==0) & (w1_b7_e==.|w1_b7_e==0) & (w1_b7_f_0==.|w1_b7_f_0==2)==.
replace w1_b4=5 if w1_b4==. & w1_b7_c>0 & w1_b7_c<777 & (w1_b7_d==.|w1_b7_d==0) & (w1_b7_e==.|w1_b7_e==0) & (w1_b7_f_0==.|w1_b7_f_0==2)
replace w1_b4=6 if w1_b4==. & (w1_b7_f_0==1|(w1_b7_e>0 & w1_b7_e<777))

label def w1_b4 1 "Filtered cigarettes" 2 "Unfiltered cigarettes" 3 "Both filtered & non-filtered" 4 "Cigarettes & RYO" 5 "RYO only" 6 "Only other tobacco"
label val w1_b4 w1_b4
ren w1_b4 w1_smk_type

*FIX WITH GEORGE'S RESPONSES

***AA. Wave 1 only ***

gen w1_smk_show_hcoun1=1 if w1_sh==4
replace w1_smk_show_hcoun1=2 if w1_sh==6
replace w1_smk_show_hcoun1=3 if w1_sh==5
replace w1_smk_show_hcoun1=. if w1_smk_show_type1==3|w1_smk_show_type1==4
label def smk_show_hcoun 1 "Abkhazian" 2 "Russian" 3 "Armenian" 4 "Dutch" 5 "English" 6 "Russian & English"  7 "Polish" 8 "Belgian" 9 "Spanish" 10 "Turkish" 11 "United Arab Emirates" 12 "Brazilian" 13 "Russian & English" 14 "Bulgarian" 15 "Unclear-Armenian/Abkhazian"
label val w1_smk_show_hcoun1 smk_show_hcoun

gen w1_smk_show_hcoun2=.

**********************************************

*** A. Wave 2 only ***

*1. Brand
gen w2_smk_brand1=. /*need this variable as in wave 1 there were two different variables for brand last bought*/
gen w2_smk_brand2=. /*need this variable as in wave 3 there were three different variables for brand last bought*/

*2. Country of health stamp
gen w2_smk_show_hcoun1=1 if w2_c13_5_1==4
replace w2_smk_show_hcoun1=2 if w2_c13_5_1==5
replace w2_smk_show_hcoun1=4 if w2_c13_5_1==6
replace w2_smk_show_hcoun1=5 if w2_c13_5_1==9
replace w2_smk_show_hcoun1=7 if w2_c13_5_1==8
replace w2_smk_show_hcoun1=11 if w2_c13_5_1==7
replace w2_smk_show_hcoun1=. if w2_c13_2==3|w2_c13_2==4
label val w2_smk_show_hcoun1 smk_show_hcoun
label var w2_smk_show_hcoun1 "Country of health warning (pack 1)"

gen w2_smk_show_hcoun2=14 if w2_c16_5_1==10
replace w2_smk_show_hcoun2=. if w2_c16_2==3|w2_c16_2==4
label val w2_smk_show_hcoun2 smk_show_hcoun
label var w2_smk_show_hcoun2 "Country of health warning (pack 2)"


*3. Correct some variables:
*3.1. Correct the w2_hh13_?_1 variables as there are 8 people who don't have values for these and they should
replace w2_hh13_1_1=1 if pid==21258|pid==21259|pid==21260|pid==21261|pid==21262|pid==21263|pid==21265|pid==21266 /*These have w2_dem_02==1 (respondent avail)*/
replace w2_hh13_1_1=2 if pid==21238|pid==21239|pid==21240|pid==21241|pid==21242 /*These have w2_dem_02==3 (household refuses)*/

*3.2. Correct the w2_dem_02_2 (response from second visit) for people that already refused in first round
replace w2_dem_02_2=. if pid==1060|pid==3494|pid==3516|pid==3517|pid==3518

*replace w2_dem_02_2=4 if

/*As per Bela email on 31 Jul*/

*4. IND level response variables - create the same ones that they had in wave 1
gen w2_hh13_3_2=. /*create this variable so that it matches wave 1*/
gen w2_info_11=1 if w2_hh13_1_1==1|w2_hh13_2_1==1|w2_hh13_3_1==1|((w2_dem_12==1|w2_dem_12==2)&w2_dem_02==1)
label var w2_info_11 "Individual questionnaire completed"
label def w2_info_11 1 "Yes"
label val w2_info_11 w2_info_11

*5. Tobacco smoked by ppl in hh: create something as we have up to 5 people asked this in wave 3
foreach x in 1 3 4{
	gen w2_hh8_`x'_3=. /*for the loop to work, need third option (person 2 already has third option)*/
	label var w2_hh8_`x'_3 "W2: HH8. The type of tobacco"
}
gen w2_hh8_8_1=. /*need 8th person as in wave 3*/
forvalues x=5/7{
	ren w2_hh8_`x' w2_hh8_`x'_1 /*rename as if there are going to be more people*/
}
forvalues x=5/8{
	forvalues t=2/3{
		gen w2_hh8_`x'_`t'=. /*generate person 2 and 3*/
		label var w2_hh8_`x'_`t' "W2: HH8. The type of tobacco"
	}
}
gen w2_hh7_8=. /*Create the initial question as to whether they smoke or not*/
label var w2_hh7_8 "W2: HH7. Current Cigarette Smoker?"
gen w2_resp8_1_3=. /*Create the question for main respondent: what they smoke up to third type of tobacco*/
label var w2_resp8_1_3 "W2: The type of tobacco"

label drop w2_resp8_1_1

*6. Recode Tobacco Smoked to match W3
foreach var of varlist w2_hh8_* w2_resp8_1_1 {
	recode `var' (2=3) (3=4) (4=5) (5=6) (6=7) (7=8) (8=9), gen(new_`var')
	drop `var'
	rename new_`var' `var'
	label def `var' 1 "Cigarettes" 3 "Snuff" 4 "Water-pipe/hookah" 5 "RYO" 6 "E-cigarettes" 7 "Cigars" 8 "Cigarillos" 9 "Pipe tobacco" 77 "DK" 99 "Refuse"
	label val `var' `var'
	label var `var' "W2: The type of tobacco"
}

*7. Where bought tobacco
recode w2_c8 (2=1) (1=2) (7=3) (3 15 18=4) (4=5) (6 9 12 13 14 16 17 19=6), gen(w2_smk_w)
label val w2_smk_w smk_w

*8. # cigars smoked per day
gen w2_b4_e=. /*to match w1*/

*9. Generate w2_b4 to be in line with what we had for w3
drop w2_b4

*10. Reason quit
gen w2_quit=1 if w2_b2==1
replace w2_quit=2 if w2_b2==2|w2_b2==6|w2_b2==7
replace w2_quit=3 if w2_b2!=. & w2_quit==.
label def quit 1 "Expensive" 2 "Health" 3 "Other"
label val w2_quit quit
label var w2_quit "W2: Reason quit smoking"

*Empty var used to create smk_type
gen w2_c11_2=.

*** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** 
*** B. Wave 3 only ***

*1. Gender
levelsof w3_hh2persons, local(x) /*Store the number of ppl living in the hh*/
foreach x in `x'{
	replace w3_hh6_`x'=0 if w3_hh6_`x'==1 /*Switch the genders around*/
	replace w3_hh6_`x'=1 if w3_hh6_`x'==2
	replace w3_hh6_`x'=2 if w3_hh6_`x'==0
	label def w3_hh6_`x' 1 "Male" 2 "Female"
	label val w3_hh6_`x' w3_hh6_`x'
}
replace w3_resp6_1=0 if w3_resp6_1==1
replace w3_resp6_1=1 if w3_resp6_1==2
replace w3_resp6_1=2 if w3_resp6_1==0
label drop w3_resp6_1
label def w3_resp6_1 1 "Male" 2 "Female"
label val w3_resp6_1 w3_resp6_1

*2. Brand
ren w3_c7_1 w3_c7
ren w3_c7_2 w3_smk_brand1
ren w3_c7_3 w3_smk_brand2 /* People asked about multiple different brands they have: CHECK WITH HANA ON HOW TO HANDLE THESE - SEEING AS ONLY ASKED ONCE IN WAVE 2?*/

*3. Have box available
gen w3_noboxwhy=1 if w3_c11==2 /* Wording was changed for this Q: to see why people did not have boxes at home*/
replace w3_noboxwhy=2 if w3_c11==3
replace w3_noboxwhy=3 if w3_c11==4
label def w3_noboxwhy 1 "Discarded" 2 "Roll your own" 3 "Singles"
label val w3_noboxwhy w3_noboxwhy 
label var w3_noboxwhy "Why don't you have a tobacco box available?"

*4. Type of tobacco
replace w3_c13_2=1 if w3_c13_2_other==83 /* People were given option of other here for type, some listed ones that actually were on the list though so correct*/
replace w3_c13_2=2 if w3_c13_2_other==294
replace w3_c13_2=3 if w3_c13_2_other==332|w3_c13_2_other==301

*5. Tax stamp
*First pack
replace w3_c13_4=4 if w3_c13_4==2 & (w3_c13_4_1==4)
replace w3_c13_4=5 if w3_c13_4==2 & (w3_c13_4_1==5|w3_c13_4_1==7)
replace w3_c13_4=77 if w3_c13_4==2 & (w3_c13_4_1==77)
replace w3_c13_4=8 if w3_c13_4==2 & (w3_c13_4_1==6)
*Second pack already in right format

*6. Country of health stamp
gen w3_smk_show_hcoun1=2 if w3_c13_5_1==5
replace w3_smk_show_hcoun1=4 if w3_c13_5_1==4
replace w3_smk_show_hcoun1=5 if w3_c13_5_1==8
replace w3_smk_show_hcoun1=8 if w3_c13_5_1==9
replace w3_smk_show_hcoun1=12 if w3_c13_5_1==10
replace w3_smk_show_hcoun1=9 if w3_c13_5_1==11
replace w3_smk_show_hcoun1=13 if w3_c13_5_1==12
replace w3_smk_show_hcoun1=10 if w3_c13_5_1==13
replace w3_smk_show_hcoun1=15 if w3_c13_3==999 & w3_c13_2!=.
replace w3_smk_show_hcoun1=. if w3_c13_2==3|w3_c13_2==4
label val w3_smk_show_hcoun1 smk_show_hcoun
label var w3_smk_show_hcoun1 "Country of health warning (pack 1)"

gen w3_smk_show_hcoun2=4 if w3_c16_5_1==4
replace w3_smk_show_hcoun2=6 if w3_c16_5_1==12
replace w3_smk_show_hcoun2=15 if w3_c16_3==999 & w2_c16_2!=.
replace w3_smk_show_hcoun2=. if w3_c16_2==3|w3_c16_2==4
label val w3_smk_show_hcoun2 smk_show_hcoun
label var w3_smk_show_hcoun2 "Country of health warning (pack 2)"

*7. IND level response variables - create the same ones that they had in wave 1: COME BACK TO THIS
replace w3_hh13_1_1=1 if w3_dem_02==1
gen w3_hh13_1_2=.
gen w3_hh13_2_1=. /*create this variable so that it matches wave 1 & 2*/
gen w3_hh13_2_2=.
gen w3_hh13_3_1=. /*create this variable so that it matches wave 1*/
gen w3_hh13_3_2=.
gen w3_info_11=1 if w3_hh13_1_1==1|w3_hh13_2_1==1|w3_hh13_3_1==1|((w3_dem_12==1|w3_dem_12==2|w3_dem_12==3)&w3_dem_02==1)
label var w3_info_11 "Individual questionnaire completed"
label def w3_info_11 1 "Yes"
label val w3_info_11 w3_info_11

gen w3_dem_02_2=.

*8. No smoked per week: make same name as w2
ren w3_b5_0_1 w3_b5_1
ren w3_b5_0_2 w3_b5_2

*9. Type of tobacco smoked by HH member
forvalues x=6/8{
	ren w3_hh8_`x' w3_hh8_`x'_1 /*rename as if we are going to have more options per person*/
}
forvalues x=6/8{
	forvalues t=2/3{
		gen w3_hh8_`x'_`t'=. /*create additional options per person*/
		label var w3_hh8_`x'_`t' "W3: HH8. The type of tobacco"
	}
}

*10. Name through producti
foreach x in a b c {
	ren w3_b5`x'_produ w3_b5_`x'_produ
}

*11. Where bought tobacco
recode w3_c8 (2=1) (1 8=2) (7=3) (3=4) (4=5) (10=4) (11=77) (5 6 9 =6), gen(w3_smk_w)
label val w3_smk_w smk_w

*12. Reason quit
gen w3_quit=1 if w3_b2_1==1 & w3_b2_2==. & w3_b2_3==.
replace w3_quit=2 if (w3_b2_1==2|w3_b2_1==5|w3_b2_1==8) & w3_b2_2==. & w3_b2_3==.
replace w3_quit=3 if (w3_b2_1==2|w3_b2_1==5|w3_b2_1==8) & w3_b2_2==1
replace w3_quit=3 if (w3_b2_2==2) & w3_b2_1==1
replace w3_quit=4 if (w3_b2_1!=.|w3_b2_2!=.|w3_b2_3!=.) & w3_quit==. 
label def w3_quit 1 "Expensive" 2 "Health" 3 "Expensive and health" 4 "Other"
label val w3_quit w3_quit
label var w3_quit "W3: Reason quit smoking"

*13. Behaviour change after tax increase (only for smokers)
gen w3_beh_t=1 if w3_d1a_1==1 & (w3_d1a_2==.|w3_d1a_2==1|w3_d1a_2==2|w3_d1a_2==77|w3_d1a_2==99) & (w3_d1a_3==.|w3_d1a_3==1|w3_d1a_3==2|w3_d1a_3==77|w3_d1a_3==99)
replace w3_beh_t=2 if w3_d1a_1==2 & (w3_d1a_2==.|w3_d1a_2==1|w3_d1a_2==77|w3_d1a_2==99) & (w3_d1a_3==.|w3_d1a_3==1|w3_d1a_3==77|w3_d1a_3==99)
replace w3_beh_t=3 if w3_d1a_1==3|w3_d1a_1==4|w3_d1a_2==3|w3_d1a_2==4|w3_d1a_3==3|w3_d1a_3==4
replace w3_beh_t=4 if (w3_d1a_1==5|w3_d1a_1==7) & (w3_d1a_2==.|w3_d1a_2==1|w3_d1a_2==2|w3_d1a_2==5|w3_d1a_2==7) & (w3_d1a_3==.|w3_d1a_3==1|w3_d1a_3==2|w3_d1a_3==5|w3_d1a_3==7)
replace w3_beh_t=4 if (w3_d1a_2==5|w3_d1a_2==7) & (w3_d1a_1==.|w3_d1a_1==1|w3_d1a_1==2|w3_d1a_1==5|w3_d1a_1==7) & (w3_d1a_3==.|w3_d1a_3==1|w3_d1a_3==2|w3_d1a_3==5|w3_d1a_3==7)
replace w3_beh_t=5 if (w3_d1a_1==6 & (w3_d1a_product==301|w3_d1a_product==308))|(w3_d1a_2==6 & (w3_d1a_product==301|w3_d1a_product==308))|(w3_d1a_3==6 & (w3_d1a_product==301|w3_d1a_product==308))|w3_d1a_1==8
replace w3_beh_t=5 if (w3_d1a_2==6 & (w3_d1a_product==301|w3_d1a_product==308)) &  (w3_d1a_1==.|w3_d1a_1==1|w3_d1a_1==2) & (w3_d1a_3==.|w3_d1a_3==1|w3_d1a_3==2)
replace w3_beh_t=99 if (w3_d1a_1==77|w3_d1a_1==99) & w3_d1a_2==. & w3_d1a_3==.
replace w3_beh_t=4 if w3_beh_t==. & (w3_d1a_1!=.|w3_d1a_2!=.|w3_d1a_3!=.)
label def w3_beh_t 1 "Didn't know it happened" 2 "No behaviour change" 3 "Consume less" 4 "Shop elsewhere/buy different brand" 5 "Switch to RYO" 7 "Other/Don't know/Refuse" 99 "Don't know/ Refuse to answer"
label val w3_beh_t w3_beh_t
label var w3_beh_t "Behaviour change after tax increase"

*14. Behaviour change after law change (only for smokers)
gen w3_beh_l=1 if w3_d2a_1==1 & (w3_d2a_2==1|w3_d2a_2==.|w3_d2a_2==77|w3_d2a_2==99) & (w3_d2a_3==1|w3_d2a_3==.|w3_d2a_3==77|w3_d2a_3==99) & (w3_d2a_4==1|w3_d2a_4==.|w3_d2a_4==77|w3_d2a_4==99)
replace w3_beh_l=1 if w3_d2a_1==1 & (w3_d2a_2>=2 & w3_d2a_2<=5) &  (w3_d2a_3==1|w3_d2a_3==.|(w3_d2a_3>=2 & w3_d2a_3<=5)) & (w3_d2a_4==1|w3_d2a_4==.|(w3_d2a_3>=2 & w3_d2a_3<=5))

replace w3_beh_l=2 if (w3_d2a_1==2|w3_d2a_2==2|w3_d2a_3==2|w3_d2a_4==2)

local notchange234 (w3_d2a_2==1|w3_d2a_2==.|w3_d2a_2==3|w3_d2a_2==4|w3_d2a_2==5) & (w3_d2a_3==1|w3_d2a_3==.|w3_d2a_3==3|w3_d2a_3==4|w3_d2a_3==5) & (w3_d2a_4==1|w3_d2a_4==.|w3_d2a_4==3|w3_d2a_4==4|w3_d2a_4==5)
local notchange134 (w3_d2a_1==1|w3_d2a_1==.|w3_d2a_1==3|w3_d2a_1==4|w3_d2a_1==5) & (w3_d2a_3==1|w3_d2a_3==.|w3_d2a_3==3|w3_d2a_3==4|w3_d2a_3==5) & (w3_d2a_4==1|w3_d2a_4==.|w3_d2a_4==3|w3_d2a_4==4|w3_d2a_4==5)
local notchange124 (w3_d2a_1==1|w3_d2a_1==.|w3_d2a_1==3|w3_d2a_1==4|w3_d2a_1==5) & (w3_d2a_2==1|w3_d2a_2==.|w3_d2a_2==3|w3_d2a_2==4|w3_d2a_2==5) & (w3_d2a_4==1|w3_d2a_4==.|w3_d2a_4==3|w3_d2a_4==4|w3_d2a_4==5)
local notchange123 (w3_d2a_1==1|w3_d2a_1==.|w3_d2a_1==3|w3_d2a_1==4|w3_d2a_1==5) & (w3_d2a_2==1|w3_d2a_2==.|w3_d2a_2==3|w3_d2a_2==4|w3_d2a_2==5) & (w3_d2a_3==1|w3_d2a_3==.|w3_d2a_3==3|w3_d2a_3==4|w3_d2a_3==5)

replace w3_beh_l=3 if (w3_d2a_1==3|w3_d2a_1==4|w3_d2a_1==5) & `notchange234'

replace w3_beh_l=4 if (w3_d2a_1==6 & `notchange234') | (w3_d2a_2==6 & `notchange134') | (w3_d2a_3==6 & `notchange124') | (w3_d2a_4==6 & `notchange123')
replace w3_beh_l=5 if (w3_d2a_1==7 & `notchange234') | (w3_d2a_2==7 & `notchange134') | (w3_d2a_3==7 & `notchange124') | (w3_d2a_4==7 & `notchange123')
replace w3_beh_l=6 if ((w3_d2a_1==8|w3_d2a_1==9|w3_d2a_1==12) & `notchange234') | ((w3_d2a_2==8|w3_d2a_2==9|w3_d2a_2==12) & `notchange134') | ((w3_d2a_3==8|w3_d2a_3==9|w3_d2a_3==12) & `notchange124') | ((w3_d2a_4==8|w3_d2a_4==9|w3_d2a_4==12) & `notchange123')

replace w3_beh_l=99 if (w3_d2a_1==99|w3_d2a_1==77) & w3_d2a_2==. & w3_d2a_3==. & w3_d2a_4==.
replace w3_beh_l=7 if w3_beh_l==. & (w3_d2a_1!=.|w3_d2a_2!=.|w3_d2a_3!=.|w3_d2a_4!=.)
label def w3_beh_l 1 "Didn't know it happened" 2 "Still smoke in public" 3 "Haven't changed behaviour" 4 "Consume less tobacco" 5 "Smoke another type of tobacco" 6 "Smoke at home now" 7 "Changed multiple behaviours" 99 "Don't know/ Refuse"
label val w3_beh_l w3_beh_l

*** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** 

*** C. Wave 2 & 3 ***

*Correct the one person who had missing for their shown tobacco pack type for their pack 2, and the brand called stadium (ie pid=3807)
replace w3_c16_2=4 if pid==3807

forvalues n=2/3 {
	* Region
	ren w`n'_mun w`n'_region
	
	*label drop w`n'_Municipality BLM coded out this line
	
	cap label def region 1 "tbilisi" 2 "kutaisi" 3 "zugdidi" 4 "akhaltsikhe" 5 "gori" 
	*label val w`n'_region w`n'_region /I have changed this to encode as I previous decoded its
	sencode  w`n'_region, label(region) replace

	* HH size
	ren w`n'_hh1 w`n'_hh_size
	ren w`n'_hh2man w`n'_man
	ren w`n'_hh2woman w`n'_woman
	ren w`n'_hh2persons w`n'_hh_adults

	* HH: Age, Gender, Smoke status of adults
	levelsof w`n'_hh_adults, local(x) /*Store the number of ppl living in the hh*/
	foreach x in `x'{
		gen w`n'_hh_age`x'=w`n'_hh5_`x'
		gen w`n'_hh_smk`x'=w`n'_hh7_`x'
		gen w`n'_hh_gen`x'=w`n'_hh6_`x'
	}

	* HH inc
	ren w`n'_hh10 w`n'_hh12
	* IND gender
	ren w`n'_resp6_1 w`n'_gen
	*IND age
	ren w`n'_resp5_1 w`n'_age
	*IND ed
	ren w`n'_a1 w`n'_ed /*What are we doing with those that got extra ed?*/
	*IND work
	gen w`n'_wrk=w`n'_a3
	*IND Daily or non-daily use
	ren w`n'_b3 w`n'_smk_freq
	*IND Brand of cigarettes last bought
	gen w`n'_smk_b=w`n'_c7
	*IND Show first pack
	ren w`n'_c11 w`n'_smk_show1
	*IND Have and show other pack
	ren w`n'_c15 w`n'_othpkhv
	ren w`n'_c16 w`n'_othpkshow
	
	*IND Type of cigarettes shown
	ren w`n'_c13_2 w`n'_smk_show_type1 /*first pack*/
	ren w`n'_c16_2 w`n'_smk_show_type2 /*second pack*/
	
	*IND Shown pack tax stamp
	recode w`n'_c13_4 (4=5) (5=7), gen(w`n'_txst) /*match the same coding as W1, first pack*/
	label def w`n'_txst 1 "Georgian tax stamp" 3 "No tax stamp" 4 "teared off" 5 "Abkhazian" 6 "Armenian" 7 "Russian" 77 "can't tell"
	label val w`n'_txst w`n'_txst
	replace w`n'_txst=. if w`n'_smk_show_type1==3|w`n'_smk_show_type1==4
	recode w`n'_c16_4 (4=5) (5=7), gen(w`n'_txst2) /*match the same coding as W1, second pack*/
	replace w`n'_txst2=. if w`n'_smk_show_type2==3|w`n'_smk_show_type2==4
	label val w`n'_txst2 w`n'_txst
	*IND Shown pack health warning
	ren w`n'_c13_5 w`n'_sh /*first pack*/
	ren w`n'_c16_5 w`n'_sh2 /*second pack*/
	replace w`n'_sh=. if w`n'_smk_show_type1==3|w`n'_smk_show_type1==4
	replace w`n'_sh2=. if w`n'_smk_show_type2==3|w`n'_smk_show_type2==4	
	*IND Shown pack price
	gen w`n'_sp=w`n'_c14  /*first pack*/
	gen w`n'_sp2=w`n'_c17 /*second pack*/
	*IND illicit increased or decreased since last asked (only ask in w`n')
	ren w`n'_d3 w`n'_size_change
	replace w`n'_size_change=. if w`n'_size_change==77|w`n'_size_change==99
	label var w`n'_size_change "Has illicit trade increased, decreased or remained the same since we last asked you"
	*IND Would people still buy illegal even if they knew
	ren w`n'_d6 w`n'_know
	
	*IND Rename to be same as wave 1 (weekly smoked)
	ren w`n'_b5_1 w`n'_b7_1 
	ren w`n'_b5_2 w`n'_b7_2 
	ren w`n'_b5_a w`n'_b7_a 
	ren w`n'_b5_a_produ w`n'_b7_a_produqti 
	ren w`n'_b5_b w`n'_b7_b 
	ren w`n'_b5_b_produ w`n'_b7_b_produqti 
	ren w`n'_b5_c w`n'_b7_c 
	ren w`n'_b5_c_produ w`n'_b7_c_produqti
	*IND Shown pack brand
	gen w`n'_smk_show_b1=w`n'_c13_3 /*first pack*/
	gen w`n'_smk_show_b2=w`n'_c16_3 /*second pack*/
	
	*Correct smk_show_type to reflect RYO if the brand is RYO as per George's Excel doc reflecting the brands & also if someone recorded missing under the brand, and the person indicated they used RYO, Other or both cig and RYO we might assume that the surveyor just recorded it as missing as they had shown loose tobacco
	foreach pack in 1 2 {
		replace w`n'_smk_show_type`pack'=3 if (w`n'_smk_show_b`pack'==301|w`n'_smk_show_b`pack'==307|w`n'_smk_show_b`pack'==315|w`n'_smk_show_b`pack'==318|w`n'_smk_show_b`pack'==320|w`n'_smk_show_b`pack'==321|(w`n'_smk_show_b`pack'>=324 & w`n'_smk_show_b`pack'<=327)|w`n'_smk_show_b`pack'==330|w`n'_smk_show_b`pack'==334|w`n'_smk_show_b`pack'==337|w`n'_smk_show_b`pack'==338|w`n'_smk_show_b`pack'==340|w`n'_smk_show_b`pack'==344|w`n'_smk_show_b`pack'==357|w`n'_smk_show_b`pack'==359|w`n'_smk_show_b`pack'==360|w`n'_smk_show_b`pack'==386|w`n'_smk_show_b`pack'==387|w`n'_smk_show_b`pack'==389|w`n'_smk_show_b`pack'==401)
	}

	*IND Smoked per week: create empty variable to match the w1 varaibles
	gen w`n'_b7_d=.
	gen w`n'_b7_e=.
	gen w`n'_b7_f=.

	*HH PSU
	gen w`n'_psu=w1_psu
	
	*HH TO GET THE HH STATUS
	* For each person in the hh, what type of tobacco do they use  
	forvalues p=1/8{
		gen w`n'_hh`p'_smk=1 if w`n'_hh7_`p'==2
		replace w`n'_hh`p'_smk=2 if (w`n'_hh8_`p'_1==1|w`n'_hh8_`p'_1==2) & (w`n'_hh8_`p'_2==1|w`n'_hh8_`p'_2==2|w`n'_hh8_`p'_2==.) & (w`n'_hh8_`p'_3==1|w`n'_hh8_`p'_3==2|w`n'_hh8_`p'_3==.)
		replace w`n'_hh`p'_smk=3 if w`n'_hh8_`p'_1>2 & w`n'_hh8_`p'_1<77 & w`n'_hh8_`p'_2>2 & w`n'_hh8_`p'_3>2
		replace w`n'_hh`p'_smk=4 if (w`n'_hh8_`p'_1==1|w`n'_hh8_`p'_1==2) & ((w`n'_hh8_`p'_2>2 & w`n'_hh8_`p'_2<77)|(w`n'_hh8_`p'_3>2 & w`n'_hh8_`p'_3<77))
		replace w`n'_hh`p'_smk=4 if (w`n'_hh8_`p'_2==1|w`n'_hh8_`p'_2==2) & ((w`n'_hh8_`p'_1>2 & w`n'_hh8_`p'_1<77)|(w`n'_hh8_`p'_3>2 & w`n'_hh8_`p'_3<77))
		replace w`n'_hh`p'_smk=4 if (w`n'_hh8_`p'_3==1|w`n'_hh8_`p'_3==2) & ((w`n'_hh8_`p'_1>2 & w`n'_hh8_`p'_1<77)|(w`n'_hh8_`p'_2>2 & w`n'_hh8_`p'_2<77))

		label var w`n'_hh`p'_smk "w`n': Person `p''s current smoking habits"
		label def w`n'_hh`p'_smk 1 "Not a smoker" 2 "Cigarettes only" 3 "Other products only" 4 "Cigarettes and other products"
		label val w`n'_hh`p'_smk w`n'_hh`p'_smk
	}
	
	*Now add in the first respondent's status
	gen w`n'_hh0_smk=1 if w`n'_resp7_1==2
	replace w`n'_hh0_smk=2 if (w`n'_resp8_1_1==1|w`n'_resp8_1_1==2) & (w`n'_resp8_1_2==1|w`n'_resp8_1_2==2|w`n'_resp8_1_2==.) & (w`n'_resp8_1_3==1|w`n'_resp8_1_3==2|w`n'_resp8_1_3==.)
	replace w`n'_hh0_smk=3 if w`n'_resp8_1_1>2 & w`n'_resp8_1_1<77 & w`n'_resp8_1_2>2 & w`n'_resp8_1_3>2
	replace w`n'_hh0_smk=4 if (w`n'_resp8_1_1==1|w`n'_resp8_1_1==2) & ((w`n'_resp8_1_2>2 & w`n'_resp8_1_2<77)|(w`n'_resp8_1_3>2 & w`n'_resp8_1_3<77))
	replace w`n'_hh0_smk=4 if (w`n'_resp8_1_2==1|w`n'_resp8_1_2==2) & ((w`n'_resp8_1_1>2 & w`n'_resp8_1_1<77)|(w`n'_resp8_1_3>2 & w`n'_resp8_1_3<77))
	replace w`n'_hh0_smk=4 if (w`n'_resp8_1_3==1|w`n'_resp8_1_3==2) & ((w`n'_resp8_1_1>2 & w`n'_resp8_1_1<77)|(w`n'_resp8_1_2>2 & w`n'_resp8_1_2<77))

	label var w`n'_hh0_smk "w`n': Person 0's current smoking habits (main respondent)"
	label def w`n'_hh0_smk 1 "Not a smoker" 2 "Cigarettes only" 3 "Other products only" 4 "Cigarettes and other products"
	label val w`n'_hh0_smk w`n'_hh0_smk
	
	* For each person in the hh, do they smoke RYO for any of their products
	forvalues p=1/8 {
		gen w`n'_hh`p'_ryo=.
		replace w`n'_hh`p'_ryo=0 if (w`n'_hh8_`p'_1>=1&w`n'_hh8_`p'_1<77)|(w`n'_hh8_`p'_2>=1&w`n'_hh8_`p'_2<77)|(w`n'_hh8_`p'_3>=1&w`n'_hh8_`p'_3<77)
		replace w`n'_hh`p'_ryo=1 if w`n'_hh8_`p'_1==4|w`n'_hh8_`p'_2==4|w`n'_hh8_`p'_3==4
		label def w`n'_hh`p'_ryo 0 "Other products only" 1 "Roll your own"
		label val w`n'_hh`p'_ryo w`n'_hh`p'_ryo
		label var w`n'_hh`p'_ryo "w`n': Person `p' smokes RYO"
	}
	*Now add in the first respondent's status
	gen w`n'_hh0_ryo=.
	replace w`n'_hh0_ryo=0 if (w`n'_resp8_1_1>=1&w`n'_resp8_1_1<77)|(w`n'_resp8_1_2>=1&w`n'_resp8_1_2<77)|(w`n'_resp8_1_3>=1&w`n'_resp8_1_3<77)
	replace w`n'_hh0_ryo=1 if w`n'_resp8_1_1==4|w`n'_resp8_1_2==4|w`n'_resp8_1_3==4
	label def w`n'_hh0_ryo 0 "Other products only" 1 "Roll your own"
	label val w`n'_hh0_ryo w`n'_hh`p'_ryo
	label var w`n'_hh0_ryo "w`n': Person 0 smokes RYO (main respondent)"
	
	*By hh: at least one person roll your own/buy tobacco tubes/tobacco
	gen w`n'_hh_ryo=0 if w`n'_hh0_ryo==0
	forvalues p=1/8 {
		replace w`n'_hh_ryo=0 if w`n'_hh`p'_ryo==0
	}
	label def w`n'_hh_ryo 0 "Other products only" 1 "At least one person smokes RYO"
	label val w`n'_hh_ryo w`n'_hh_ryo
	label var w`n'_hh_ryo "w`n': Household uses RYO"
	forvalues p=0/8 {
		replace w`n'_hh_ryo=1 if w`n'_hh`p'_ryo==1
	}
	*What type of tobacco does the main respondent use?
	gen w`n'_tobtype=1 if w`n'_hh8_1_1

	*By hh: at least one person smoke tobacco
	gen w`n'_hh1_hh2=.

	*Only cigarettes
	replace w`n'_hh1_hh2=1 if w`n'_hh0_smk==2 & (w`n'_hh1_smk==2|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==2|w`n'_hh2_smk>77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==2|w`n'_hh3_smk>=77|w`n'_hh3_smk==1) & (w`n'_hh4_smk==2|w`n'_hh4_smk>77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==2|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==2|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==2|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==2|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=1 if w`n'_hh1_smk==2 & (w`n'_hh0_smk==2|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh2_smk==2|w`n'_hh2_smk>77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==2|w`n'_hh3_smk>=77|w`n'_hh3_smk==1) & (w`n'_hh4_smk==2|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==2|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==2|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==2|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==2|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=1 if w`n'_hh2_smk==2 & (w`n'_hh0_smk==2|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==2|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh3_smk==2|w`n'_hh3_smk>=77|w`n'_hh3_smk==1) & (w`n'_hh4_smk==2|w`n'_hh4_smk>=77|w`n'_hh4_smk==1)& (w`n'_hh5_smk==2|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==2|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==2|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==2|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=1 if w`n'_hh3_smk==2 & (w`n'_hh0_smk==2|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==2|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==2|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh4_smk==2|w`n'_hh4_smk>=77|w`n'_hh4_smk==1)& (w`n'_hh5_smk==2|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==2|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==2|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==2|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=1 if w`n'_hh4_smk==2 & (w`n'_hh0_smk==2|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==2|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==2|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==2|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh5_smk==2|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==2|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==2|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==2|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=1 if w`n'_hh5_smk==2 & (w`n'_hh0_smk==2|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==2|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==2|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==2|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh4_smk==2|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh6_smk==2|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==2|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==2|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=1 if w`n'_hh6_smk==2 & (w`n'_hh0_smk==2|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==2|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==2|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==2|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh4_smk==2|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==2|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh7_smk==2|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==2|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=1 if w`n'_hh7_smk==2 & (w`n'_hh0_smk==2|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==2|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==2|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==2|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh4_smk==2|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==2|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==2|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh8_smk==2|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=1 if w`n'_hh8_smk==2 & (w`n'_hh0_smk==2|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==2|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==2|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==2|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh4_smk==2|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==2|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==2|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==2|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) 

	*Only Other products
	replace w`n'_hh1_hh2=2 if w`n'_hh0_smk==3 & (w`n'_hh1_smk==3|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==3|w`n'_hh2_smk>77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==3|w`n'_hh3_smk>=77|w`n'_hh3_smk==1) & (w`n'_hh4_smk==3|w`n'_hh4_smk>77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==3|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==3|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==3|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==3|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=2 if w`n'_hh1_smk==3 & (w`n'_hh0_smk==3|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh2_smk==3|w`n'_hh2_smk>77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==3|w`n'_hh3_smk>=77|w`n'_hh3_smk==1) & (w`n'_hh4_smk==3|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==3|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==3|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==3|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==3|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=2 if w`n'_hh2_smk==3 & (w`n'_hh0_smk==3|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==3|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh3_smk==3|w`n'_hh3_smk>=77|w`n'_hh3_smk==1) & (w`n'_hh4_smk==3|w`n'_hh4_smk>=77|w`n'_hh4_smk==1)& (w`n'_hh5_smk==3|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==3|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==3|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==3|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=2 if w`n'_hh3_smk==3 & (w`n'_hh0_smk==3|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==3|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==3|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh4_smk==3|w`n'_hh4_smk>=77|w`n'_hh4_smk==1)& (w`n'_hh5_smk==3|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==3|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==3|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==3|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=2 if w`n'_hh4_smk==3 & (w`n'_hh0_smk==3|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==3|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==3|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==3|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh5_smk==3|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==3|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==3|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==3|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=2 if w`n'_hh5_smk==3 & (w`n'_hh0_smk==3|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==3|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==3|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==3|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh4_smk==3|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh6_smk==3|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==3|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==3|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=2 if w`n'_hh6_smk==3 & (w`n'_hh0_smk==3|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==3|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==3|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==3|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh4_smk==3|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==3|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh7_smk==3|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) & (w`n'_hh8_smk==3|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=2 if w`n'_hh7_smk==3 & (w`n'_hh0_smk==3|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==3|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==3|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==3|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh4_smk==3|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==3|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==3|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh8_smk==3|w`n'_hh8_smk>=77|w`n'_hh8_smk==1) 
	replace w`n'_hh1_hh2=2 if w`n'_hh8_smk==3 & (w`n'_hh0_smk==3|w`n'_hh0_smk>=77|w`n'_hh0_smk==1) & (w`n'_hh1_smk==3|w`n'_hh1_smk>=77|w`n'_hh1_smk==1) & (w`n'_hh2_smk==3|w`n'_hh2_smk>=77|w`n'_hh2_smk==1) & (w`n'_hh3_smk==3|w`n'_hh3_smk>=77|w`n'_hh3_smk==1)& (w`n'_hh4_smk==3|w`n'_hh4_smk>=77|w`n'_hh4_smk==1) & (w`n'_hh5_smk==3|w`n'_hh5_smk>=77|w`n'_hh5_smk==1) & (w`n'_hh6_smk==3|w`n'_hh6_smk>=77|w`n'_hh6_smk==1) & (w`n'_hh7_smk==3|w`n'_hh7_smk>=77|w`n'_hh7_smk==1) 

	*Mixed products used
	forvalues t=0/8{
		replace w`n'_hh1_hh2=3 if w`n'_hh`t'_smk==4 
	}

	replace w`n'_hh1_hh2=3 if w`n'_hh0_smk==2 & (w`n'_hh1_smk==3|w`n'_hh2_smk==3|w`n'_hh3_smk==3|w`n'_hh4_smk==3|w`n'_hh5_smk==3|w`n'_hh6_smk==3|w`n'_hh7_smk==3|w`n'_hh8_smk==3)
	replace w`n'_hh1_hh2=3 if w`n'_hh1_smk==2 & (w`n'_hh0_smk==3|w`n'_hh2_smk==3|w`n'_hh3_smk==3|w`n'_hh4_smk==3|w`n'_hh5_smk==3|w`n'_hh6_smk==3|w`n'_hh7_smk==3|w`n'_hh8_smk==3)
	replace w`n'_hh1_hh2=3 if w`n'_hh2_smk==2 & (w`n'_hh0_smk==3|w`n'_hh1_smk==3|w`n'_hh3_smk==3|w`n'_hh4_smk==3|w`n'_hh5_smk==3|w`n'_hh6_smk==3|w`n'_hh7_smk==3|w`n'_hh8_smk==3)
	replace w`n'_hh1_hh2=3 if w`n'_hh3_smk==2 & (w`n'_hh0_smk==3|w`n'_hh1_smk==3|w`n'_hh2_smk==3|w`n'_hh4_smk==3|w`n'_hh5_smk==3|w`n'_hh6_smk==3|w`n'_hh7_smk==3|w`n'_hh8_smk==3)
	replace w`n'_hh1_hh2=3 if w`n'_hh4_smk==2 & (w`n'_hh0_smk==3|w`n'_hh1_smk==3|w`n'_hh2_smk==3|w`n'_hh3_smk==3|w`n'_hh5_smk==3|w`n'_hh6_smk==3|w`n'_hh7_smk==3|w`n'_hh8_smk==3)
	replace w`n'_hh1_hh2=3 if w`n'_hh5_smk==2 & (w`n'_hh0_smk==3|w`n'_hh1_smk==3|w`n'_hh2_smk==3|w`n'_hh3_smk==3|w`n'_hh4_smk==3|w`n'_hh6_smk==3|w`n'_hh7_smk==3|w`n'_hh8_smk==3)
	replace w`n'_hh1_hh2=3 if w`n'_hh6_smk==2 & (w`n'_hh0_smk==3|w`n'_hh1_smk==3|w`n'_hh2_smk==3|w`n'_hh3_smk==3|w`n'_hh4_smk==3|w`n'_hh5_smk==3|w`n'_hh7_smk==3|w`n'_hh8_smk==3)
	replace w`n'_hh1_hh2=3 if w`n'_hh7_smk==2 & (w`n'_hh0_smk==3|w`n'_hh1_smk==3|w`n'_hh2_smk==3|w`n'_hh3_smk==3|w`n'_hh4_smk==3|w`n'_hh5_smk==3|w`n'_hh6_smk==3|w`n'_hh8_smk==3)
	replace w`n'_hh1_hh2=3 if w`n'_hh8_smk==2 & (w`n'_hh0_smk==3|w`n'_hh1_smk==3|w`n'_hh2_smk==3|w`n'_hh3_smk==3|w`n'_hh4_smk==3|w`n'_hh5_smk==3|w`n'_hh6_smk==3|w`n'_hh7_smk==3)

	replace w`n'_hh1_hh2=3 if w`n'_hh0_smk==3 & (w`n'_hh1_smk==2|w`n'_hh2_smk==2|w`n'_hh3_smk==2|w`n'_hh4_smk==2|w`n'_hh5_smk==2|w`n'_hh6_smk==2|w`n'_hh7_smk==2|w`n'_hh8_smk==2)
	replace w`n'_hh1_hh2=3 if w`n'_hh1_smk==3 & (w`n'_hh0_smk==2|w`n'_hh2_smk==2|w`n'_hh3_smk==2|w`n'_hh4_smk==2|w`n'_hh5_smk==2|w`n'_hh6_smk==2|w`n'_hh7_smk==2|w`n'_hh8_smk==2)
	replace w`n'_hh1_hh2=3 if w`n'_hh2_smk==3 & (w`n'_hh0_smk==2|w`n'_hh1_smk==2|w`n'_hh3_smk==2|w`n'_hh4_smk==2|w`n'_hh5_smk==2|w`n'_hh6_smk==2|w`n'_hh7_smk==2|w`n'_hh8_smk==2)
	replace w`n'_hh1_hh2=3 if w`n'_hh3_smk==3 & (w`n'_hh0_smk==2|w`n'_hh1_smk==2|w`n'_hh2_smk==2|w`n'_hh4_smk==2|w`n'_hh5_smk==2|w`n'_hh6_smk==2|w`n'_hh7_smk==2|w`n'_hh8_smk==2)
	replace w`n'_hh1_hh2=3 if w`n'_hh4_smk==3 & (w`n'_hh0_smk==2|w`n'_hh1_smk==2|w`n'_hh2_smk==2|w`n'_hh3_smk==2|w`n'_hh5_smk==2|w`n'_hh6_smk==2|w`n'_hh7_smk==2|w`n'_hh8_smk==2)
	replace w`n'_hh1_hh2=3 if w`n'_hh5_smk==3 & (w`n'_hh0_smk==2|w`n'_hh1_smk==2|w`n'_hh2_smk==2|w`n'_hh3_smk==2|w`n'_hh4_smk==2|w`n'_hh6_smk==2|w`n'_hh7_smk==2|w`n'_hh8_smk==2)
	replace w`n'_hh1_hh2=3 if w`n'_hh6_smk==3 & (w`n'_hh0_smk==2|w`n'_hh1_smk==2|w`n'_hh2_smk==2|w`n'_hh3_smk==2|w`n'_hh4_smk==2|w`n'_hh5_smk==2|w`n'_hh7_smk==2|w`n'_hh8_smk==2)
	replace w`n'_hh1_hh2=3 if w`n'_hh7_smk==3 & (w`n'_hh0_smk==2|w`n'_hh1_smk==2|w`n'_hh2_smk==2|w`n'_hh3_smk==2|w`n'_hh4_smk==2|w`n'_hh5_smk==2|w`n'_hh6_smk==2|w`n'_hh8_smk==2)
	replace w`n'_hh1_hh2=3 if w`n'_hh8_smk==3 & (w`n'_hh0_smk==2|w`n'_hh1_smk==2|w`n'_hh2_smk==2|w`n'_hh3_smk==2|w`n'_hh4_smk==2|w`n'_hh5_smk==2|w`n'_hh6_smk==2|w`n'_hh7_smk==2)

	*No Smokers in the HH
	replace w`n'_hh1_hh2=4 if w`n'_hh0_smk==1 & (w`n'_hh1_smk==1|w`n'_hh1_smk>=77) & (w`n'_hh2_smk==1|w`n'_hh2_smk>=77) & (w`n'_hh3_smk==1|w`n'_hh3_smk>=77) & (w`n'_hh4_smk==1|w`n'_hh4_smk>=77)& (w`n'_hh5_smk==1|w`n'_hh5_smk>=77)& (w`n'_hh6_smk==1|w`n'_hh6_smk>=77)& (w`n'_hh7_smk==1|w`n'_hh7_smk>=77)& (w`n'_hh8_smk==1|w`n'_hh8_smk>=77)
	replace w`n'_hh1_hh2=4 if w`n'_hh1_smk==1 & (w`n'_hh0_smk==1|w`n'_hh0_smk>=77) & (w`n'_hh2_smk==1|w`n'_hh2_smk>=77) & (w`n'_hh3_smk==1|w`n'_hh3_smk>=77) & (w`n'_hh4_smk==1|w`n'_hh4_smk>=77)& (w`n'_hh5_smk==1|w`n'_hh5_smk>=77)& (w`n'_hh6_smk==1|w`n'_hh6_smk>=77)& (w`n'_hh7_smk==1|w`n'_hh7_smk>=77)& (w`n'_hh8_smk==1|w`n'_hh8_smk>=77)
	replace w`n'_hh1_hh2=4 if w`n'_hh2_smk==1 & (w`n'_hh0_smk==1|w`n'_hh0_smk>=77) & (w`n'_hh1_smk==1|w`n'_hh1_smk>=77) & (w`n'_hh3_smk==1|w`n'_hh3_smk>=77) & (w`n'_hh4_smk==1|w`n'_hh4_smk>=77)& (w`n'_hh5_smk==1|w`n'_hh5_smk>=77)& (w`n'_hh6_smk==1|w`n'_hh6_smk>=77)& (w`n'_hh7_smk==1|w`n'_hh7_smk>=77)& (w`n'_hh8_smk==1|w`n'_hh8_smk>=77)
	replace w`n'_hh1_hh2=4 if w`n'_hh3_smk==1 & (w`n'_hh0_smk==1|w`n'_hh0_smk>=77) & (w`n'_hh1_smk==1|w`n'_hh1_smk>=77) & (w`n'_hh2_smk==1|w`n'_hh2_smk>=77) & (w`n'_hh4_smk==1|w`n'_hh4_smk>=77)& (w`n'_hh5_smk==1|w`n'_hh5_smk>=77)& (w`n'_hh6_smk==1|w`n'_hh6_smk>=77)& (w`n'_hh7_smk==1|w`n'_hh7_smk>=77)& (w`n'_hh8_smk==1|w`n'_hh8_smk>=77)
	replace w`n'_hh1_hh2=4 if w`n'_hh4_smk==1 & (w`n'_hh0_smk==1|w`n'_hh0_smk>=77) & (w`n'_hh1_smk==1|w`n'_hh1_smk>=77) & (w`n'_hh2_smk==1|w`n'_hh2_smk>=77) & (w`n'_hh3_smk==1|w`n'_hh3_smk>=77)& (w`n'_hh5_smk==1|w`n'_hh5_smk>=77)& (w`n'_hh6_smk==1|w`n'_hh6_smk>=77)& (w`n'_hh7_smk==1|w`n'_hh7_smk>=77)& (w`n'_hh8_smk==1|w`n'_hh8_smk>=77)
	replace w`n'_hh1_hh2=4 if w`n'_hh5_smk==1 & (w`n'_hh0_smk==1|w`n'_hh0_smk>=77) & (w`n'_hh1_smk==1|w`n'_hh1_smk>=77) & (w`n'_hh2_smk==1|w`n'_hh2_smk>=77) & (w`n'_hh3_smk==1|w`n'_hh3_smk>=77)& (w`n'_hh4_smk==1|w`n'_hh4_smk>=77)& (w`n'_hh6_smk==1|w`n'_hh6_smk>=77)& (w`n'_hh7_smk==1|w`n'_hh7_smk>=77)& (w`n'_hh8_smk==1|w`n'_hh8_smk>=77)
	replace w`n'_hh1_hh2=4 if w`n'_hh6_smk==1 & (w`n'_hh0_smk==1|w`n'_hh0_smk>=77) & (w`n'_hh1_smk==1|w`n'_hh1_smk>=77) & (w`n'_hh2_smk==1|w`n'_hh2_smk>=77) & (w`n'_hh3_smk==1|w`n'_hh3_smk>=77)& (w`n'_hh4_smk==1|w`n'_hh4_smk>=77)& (w`n'_hh5_smk==1|w`n'_hh5_smk>=77)& (w`n'_hh7_smk==1|w`n'_hh7_smk>=77)& (w`n'_hh8_smk==1|w`n'_hh8_smk>=77)
	replace w`n'_hh1_hh2=4 if w`n'_hh7_smk==1 & (w`n'_hh0_smk==1|w`n'_hh0_smk>=77) & (w`n'_hh1_smk==1|w`n'_hh1_smk>=77) & (w`n'_hh2_smk==1|w`n'_hh2_smk>=77) & (w`n'_hh3_smk==1|w`n'_hh3_smk>=77)& (w`n'_hh4_smk==1|w`n'_hh4_smk>=77)& (w`n'_hh5_smk==1|w`n'_hh5_smk>=77)& (w`n'_hh6_smk==1|w`n'_hh6_smk>=77)& (w`n'_hh8_smk==1|w`n'_hh8_smk>=77)
	replace w`n'_hh1_hh2=4 if w`n'_hh8_smk==1 & (w`n'_hh0_smk==1|w`n'_hh0_smk>=77) & (w`n'_hh1_smk==1|w`n'_hh1_smk>=77) & (w`n'_hh2_smk==1|w`n'_hh2_smk>=77) & (w`n'_hh3_smk==1|w`n'_hh3_smk>=77)& (w`n'_hh4_smk==1|w`n'_hh4_smk>=77)& (w`n'_hh5_smk==1|w`n'_hh5_smk>=77)& (w`n'_hh6_smk==1|w`n'_hh6_smk>=77)& (w`n'_hh7_smk==1|w`n'_hh7_smk>=77)

	label val w`n'_hh1_hh2 w1_HH1_HH2

	* Interviewer id
	ren w`n'_dem_14 w`n'_int_id

	*Note that in error, w2_resp8_1_1 did not ask people to differentiate between filtered and unfiltered, as such lets use w2_b4 (no smoked daily) or w2_b5 (no smoked weekly) for both wave 2 and wave 3
	gen w`n'_b7_3=. /*So that it matches the daily one, b4_3*/
	gen w`n'_smk_type=.
	foreach period in 4 7 {
		forvalues type=1/2{
			replace w`n'_smk_type=`type' if w`n'_b`period'_1==`type' & (w`n'_b`period'_2==`type'|w`n'_b`period'_2>=77) & (w`n'_b`period'_3==`type'|w`n'_b`period'_3>=77)
		}
		replace w`n'_smk_type=3 if w`n'_b`period'_1==1 & (w`n'_b`period'_2==2|w`n'_b`period'_3==2)
		replace w`n'_smk_type=3 if w`n'_b`period'_1==2 & (w`n'_b`period'_2==1|w`n'_b`period'_3==1)
		replace w`n'_smk_type=4 if (w`n'_b`period'_1==1|w`n'_b`period'_1==2) & (w`n'_b`period'_2==3|w`n'_b`period'_3==3)
		replace w`n'_smk_type=4 if (w`n'_b`period'_1==3) & (w`n'_b`period'_2==1|w`n'_b`period'_3==1|w`n'_b`period'_2==2|w`n'_b`period'_3==2)
		replace w`n'_smk_type=5 if w`n'_b`period'_1==3 & (w`n'_b`period'_2==3|w`n'_b`period'_2>=77) & (w`n'_b`period'_3==3|w`n'_b`period'_3>=77)
		replace w`n'_smk_type=6 if (w`n'_b`period'_1>=4 & w`n'_b`period'_1<=6) & w`n'_b`period'_2>=4 & w`n'_b`period'_3>=4
	}
	replace w`n'_smk_type=4 if w`n'_c11_2!=. & w`n'_smk_type<=2 /*these people showed loose tobacco/tubes later on so should have this Q changed*/
	foreach p in 13 16 { /*if they showed a first pack (c13) or second pack (c16) that George identified as loose tobacco/tubes*/
		replace w`n'_smk_type=4 if w`n'_smk_type<=3 & (w`n'_c`p'_3==307|w`n'_c`p'_3==309|w`n'_c`p'_3==315|w`n'_c`p'_3==318|w`n'_c`p'_3==320|w`n'_c`p'_3==321|(w`n'_c`p'_3>=324 & w`n'_c`p'_3<=327)|w`n'_c`p'_3==330|w`n'_c`p'_3==334|w`n'_c`p'_3==337|w`n'_c`p'_3==338|w`n'_c`p'_3==340|w`n'_c`p'_3==344|w`n'_c`p'_3==357)
		replace w`n'_smk_type=5 if (w`n'_smk_type==.) & (w`n'_c`p'_3==307|w`n'_c`p'_3==309|w`n'_c`p'_3==315|w`n'_c`p'_3==318|w`n'_c`p'_3==320|w`n'_c`p'_3==321|(w`n'_c`p'_3>=324 & w`n'_c`p'_3<=327)|w`n'_c`p'_3==330|w`n'_c`p'_3==334|w`n'_c`p'_3==337|w`n'_c`p'_3==338|w`n'_c`p'_3==340|w`n'_c`p'_3==344|w`n'_c`p'_3==357)
	}
	replace w`n'_smk_type=4 if w`n'_smk_type<=3 & (w`n'_smk_show_type1==3|w`n'_smk_show_type2==3)
	replace w`n'_smk_type=5 if w`n'_smk_type==. & (w`n'_smk_show_type1==3|w`n'_smk_show_type2==3)
	label def w`n'_smk_type 1 "Filtered cigarettes only" 2 "Unfiltered cigarettes only" 3 "Both filtered & non-filtered" 4 "Cigarettes & RYO" 5 "RYO only" /*
	*/ 6 "Only other tobacco"
	label val w`n'_smk_type w`n'_smk_type
	
	*Correct smk_show_type - if the person said they used RYO or both RYO and cig, or other, and the surveyor said missing/refuse/don't know for brand, then its' likely the surveyor just recorded it as this because they had been shown loose tobacco
	foreach pack in 1 2 {
		replace w`n'_smk_show_type`pack'=3 if w`n'_smk_type>=4 & w`n'_smk_type<=6 & (w`n'_smk_show_b`pack'==777|w`n'_smk_show_b`pack'==999|w`n'_smk_show_b`pack'==.)
	}
	
	replace w`n'_txst=. if w`n'_smk_show_type1==3|w`n'_smk_show_type1==4
	replace w`n'_txst2=. if w`n'_smk_show_type2==3|w`n'_smk_show_type2==4
	replace w`n'_sh=. if w`n'_smk_show_type1==3|w`n'_smk_show_type1==4
	replace w`n'_sh2=. if w`n'_smk_show_type2==3|w`n'_smk_show_type2==4
	replace w`n'_smk_show_hcoun1=. if w`n'_smk_show_type1==3|w`n'_smk_show_type1==4
	replace w`n'_smk_show_hcoun2=. if w`n'_smk_show_type2==3|w`n'_smk_show_type2==4
}
	**********************************************

*** D. Wave 1 and 2 only:
foreach n in 1 2{
	*Determine individual response status
	label def w`n'_ind_status 1 "Not home" 2 "Refused" 3 "Other" 4 "Consented"
	forvalues x=1/3 {
		gen w`n'_ind_status`x'=3 if w`n'_hh13_`x'_2!=.
		replace w`n'_ind_status`x'=1 if w`n'_hh13_`x'_2==4
		replace w`n'_ind_status`x'=2 if w`n'_hh13_`x'_2==5
		replace w`n'_ind_status`x'=4 if w`n'_hh13_`x'_1==1
		label val w`n'_ind_status`x' w`n'_ind_status
	}

	gen w`n'_ind_status=3 if w`n'_hh13_1_2!=.|w`n'_hh13_2_2!=.|w`n'_hh13_3_2!=.
	replace w`n'_ind_status=1 if w`n'_hh13_1_2==4|w`n'_hh13_2_2==4|w`n'_hh13_3_2==4
	replace w`n'_ind_status=2 if w`n'_hh13_1_2==5|w`n'_hh13_2_2==5|w`n'_hh13_3_2==5
	replace w`n'_ind_status=4 if w`n'_info_11==1
	label var w`n'_ind_status "Individual status"
	label val w`n'_ind_status w`n'_ind_status
	
	*HH status
	gen w`n'_status=1 if w`n'_dem_01==2
	label var w`n'_status "Status for HH"
	replace w`n'_status=2 if w`n'_dem_01==1 & ((w`n'_dem_02==2|w`n'_dem_02==3)&(w`n'_dem_02_2==2|w`n'_dem_02_2==3|w`n'_dem_02_2==.))
	replace w`n'_status=3 if w`n'_hh1_hh2==99
	replace w`n'_status=4 if w`n'_hh1_hh2==4
	replace w`n'_status=5 if (w`n'_hh1_hh2>=1 & w`n'_hh1_hh2<=3) & w`n'_ind_status==1
	replace w`n'_status=6 if (w`n'_hh1_hh2>=1 & w`n'_hh1_hh2<=3) & w`n'_ind_status==2
	replace w`n'_status=7 if (w`n'_hh1_hh2>=1 & w`n'_hh1_hh2<=3) & w`n'_ind_status==3
	replace w`n'_status=8 if (w`n'_hh1_hh2>=1 & w`n'_hh1_hh2<=3) & w`n'_ind_status==4
	replace w`n'_status=9 if w`n'_dem_02==4
	label def w`n'_status 1 "Refuse open door" 2 "Refuse participate after hearing study details" /*
	*/ 3 "Agree to participate, refuse to identify tob. users" 4 "No tob. users reside" 5 "Tob. users reside, not home" /*
	*/ 6 "Tob. users reside, refuse" 7 "Tob. users reside, other" 8 "Tobacco users reside, consent" 9 "No one home"
	label val w`n'_status w`n'_status

	gen w`n'_response=1 if w`n'_status==1|w`n'_status==2|w`n'_status==3|w`n'_status==5|w`n'_status==6|w`n'_status==7
	replace w`n'_response=4 if w`n'_status==9
	replace w`n'_response=2 if w`n'_status==4
	replace w`n'_response=3 if w`n'_status==8
	label var w`n'_response "W`n' Response rate"
	label def w`n'_response 1 "Household refusal" 2 "No tobacco users reside" 3 "Interview complete" 4 "No one home" 5 "Moved away"
	label val w`n'_response w`n'_response  
} 

*Correct w2_response /*As per Bela email on 31 Jul, in these households they were visited twice but no one was home and they saw that the person had moved away*/
count if w2_response==. & w1_response==3
assert `r(N)'==240
replace w2_ind_status2=1 if w2_response==. & w1_response==3
replace w2_response=5 if w2_response==. & w1_response==3

**********************************************
*** E. For wave 3 only (after having rectified the variables (eg w3_hh13_2_2) from previous code)
*Determine individual response status
label def w3_ind_status 1 "Not home" 2 "Refused" 3 "Other" 4 "Consented"
forvalues x=1/3 {
	gen w3_ind_status`x'=3 if w3_hh13_`x'_2!=.
	replace w3_ind_status`x'=1 if w3_hh13_`x'_2==4
	replace w3_ind_status`x'=2 if w3_hh13_`x'_2==5
	replace w3_ind_status`x'=4 if w3_hh13_`x'_1==1
	label val w3_ind_status`x' w3_ind_status
}

gen w3_ind_status=3 if w3_hh13_1_2!=.|w3_hh13_2_2!=.|w3_hh13_3_2!=.
replace w3_ind_status=1 if w3_hh13_1_2==4|w3_hh13_2_2==4|w3_hh13_3_2==4
replace w3_ind_status=2 if w3_hh13_1_2==5|w3_hh13_2_2==5|w3_hh13_3_2==5
replace w3_ind_status=4 if w3_info_11==1
label var w3_ind_status "Individual status"
label val w3_ind_status w3_ind_status

*Correct with the end_1 variable now
 
*HH status
gen w3_status=1 if w3_end_1==1
/*note that they did not capture 6*/
label var w3_status "Status for HH"
replace w3_status=2 if w3_dem_01==1 & ((w3_dem_02==2|w3_dem_02==3)&(w3_dem_02_2==2|w3_dem_02_2==3|w3_dem_02_2==.))
replace w3_status=3 if w3_hh1_hh2==99
replace w3_status=4 if w3_hh1_hh2==4
replace w3_status=5 if (w3_hh1_hh2>=1 & w3_hh1_hh2<=3) & w3_ind_status==1
replace w3_status=6 if (w3_hh1_hh2>=1 & w3_hh1_hh2<=3) & w3_ind_status==2
replace w3_status=7 if (w3_hh1_hh2>=1 & w3_hh1_hh2<=3) & w3_ind_status==3
replace w3_status=8 if (w3_hh1_hh2>=1 & w3_hh1_hh2<=3) & w3_ind_status==4
replace w3_status=9 if w3_dem_02==4
forvalues x=1/5 {
	replace w3_status=`x' if w3_end_1==`x'
}
replace w3_status=8 if w3_end_1>=6 & w3_end_1<=12
replace w3_status=4 if w3_end_1==7
label def w3_status 1 "Refuse open door" 2 "Refuse participate after hearing study details" /*
*/ 3 "Agree to participate, refuse to identify tob. users" 4 "No tob. users reside" 5 "Tob. users reside, not home" /*
*/ 6 "Tob. users reside, refuse" 7 "Tob. users reside, other" 8 "Tobacco users reside, consent" 9 "No one home"
label val w3_status w3_status

*Response
gen w3_response=1 if w3_status==1|w3_status==2|w3_status==3|w3_status==5|w3_status==6|w3_status==7
replace w3_response=4 if w3_status==9
replace w3_response=2 if w3_status==4
replace w3_response=3 if w3_status==8
label var w3_response "W3 Response rate"
label def w3_response 1 "Household refusal" 2 "No tobacco users reside" 3 "Interview complete" 4 "No one home" 5 "Moved away"
label val w3_response w3_response  

*Correct w3_response
replace w3_response=2 if w3_response==. & (w3_dem_02==1|w3_dem_02) &  w3_hq1==2
replace w3_response=3 if w3_response==. & (w3_dem_02==1|w3_dem_02) &  w3_hq1==1
replace w3_response=4 if w3_dem_01==2 /*Consent not read to participants*/

replace w3_response=1 if w3_end_1==1|w3_end_1==2|w3_end_1==3|w3_end_1==5
replace w3_response=2 if w3_end_1==4
replace w3_response=3 if w3_end_1==6

**********************************************
*** F. All 3 waves ***
forvalues n=1/3 {
	* Correct smk_type
	* Fix smk_type to reflect info in packs they actually showed: those that said they smoked 1-4 above were asked to show packs, some showed loose tobacco as classified by the interviewed, some were mis-classified and I used the brand recorded to correct
	foreach pack in 1 2{
		replace w`n'_smk_type=4 if w`n'_smk_type<=4 & ((w`n'_smk_show_type1==3|w`n'_smk_show_type2==3) | (w`n'_smk_show_b`pack'==301|w`n'_smk_show_b`pack'==307|w`n'_smk_show_b`pack'==315|w`n'_smk_show_b`pack'==318|w`n'_smk_show_b`pack'==320|w`n'_smk_show_b`pack'==321|(w`n'_smk_show_b`pack'>=324 & w`n'_smk_show_b`pack'==327)|w`n'_smk_show_b`pack'==330|w`n'_smk_show_b`pack'==334|w`n'_smk_show_b`pack'==337|w`n'_smk_show_b`pack'==338|w`n'_smk_show_b`pack'==340|w`n'_smk_show_b`pack'==344|w`n'_smk_show_b`pack'==357|w`n'_smk_show_b`pack'==389))
		replace w`n'_smk_type=4 if w`n'_smk_type==5 & (w`n'_smk_show_type1<=2|w`n'_smk_show_type2<=2)
		
		replace w`n'_smk_type=3 if w`n'_smk_type==1 & (w`n'_smk_show_type1==2|w`n'_smk_show_type1==2)
		replace w`n'_smk_type=3 if w`n'_smk_type==2 & (w`n'_smk_show_type1==1|w`n'_smk_show_type1==1)	
	}

	/*Clean up district to look the same as in the paper (and in the same order)
	replace w`n'_district=-1 if w`n'_district==13
	replace w`n'_district=13 if w`n'_district==14
	replace w`n'_district=14 if w`n'_district==-1
	*cap label drop DISTRICT
	*label var w`n'_district "District"
	*label define w`n'_district 1 "Gldani" 2 "Didube" 3 "Vake" 4 "Isani" 5 "Krtsanisi" 6 "Mtatsminda" 7 "Nadzaladevi" 8 "Saburtalo" 9 "Samgori" 10 "Chugureti" 11 "Kutaisi" 12 "Zugdidi" 13 "Akhaltsikhe" 14 "Gori"  
	*label val w`n'_district w`n'_district	//NOTE: BLM I have commented out these lines as I have an improved district variable */

	* Number of times before interview was held
	gen w`n'_round=1 if  w`n'_hh13_1_1==1
	replace w`n'_round=2 if w`n'_hh13_2_1==1
	replace w`n'_round=3 if w`n'_hh13_3_1==1
	label var w`n'_round "Individual interview status"
	label def w`n'_round 1 "Interview held round 1" 2 "Interview held round 2" 3 "Interview held round 3" 
	label val w`n'_round w`n'_round

	* City/village
	ren w`n'_dem_07 w`n'_urban
	replace w`n'_urban=0 if w`n'_urban==2
	label var w`n'_urban "Urban/rural"
	label def w`n'_urban 0 "Rural" 1 "Urban"
	label val w`n'_urban w`n'_urban
	
	*City name
	ren w`n'_dem_06 w`n'_city_name
	
	*Tobacco product used
	gen w`n'_hh_tob=1 if w`n'_hh1_hh2==1
	replace w`n'_hh_tob=2 if w`n'_hh1_hh2==3
	replace w`n'_hh_tob=3 if w`n'_hh1_hh2==2
	label var w`n'_hh_tob "Type of tobacco used in HH"
	label def w`n'_hh_tob 1 "Cigarettes" 2 "Cigarettes and other products" 3 "Only other products"
	label val w`n'_hh_tob w`n'_hh_tob

	* HH adults
	ren w`n'_man w`n'_hh_m
	ren w`n'_woman w`n'_hh_f
	replace w`n'_hh_adults=w`n'_hh_f+w`n'_hh_m

	gen w`n'_hh_child=w`n'_hh_size-w`n'_hh_adults /*note that we don't use hh_size in the other calculation as doesn't always add up to hh_adults*/
	replace w`n'_hh_child=0 if w`n'_hh_child<0
	label var w`n'_hh_child "Number of children in hh"
	
	levelsof w`n'_hh_adults, local(x) /*Store the number of ppl living in the hh*/
	foreach x in `x'{
		replace w`n'_hh_age`x'=. if w`n'_hh_age`x'==777|w`n'_hh_age`x'==999
		label var w`n'_hh_age`x' "Age of person `x' in HH"

		gen w`n'_hh_agecat`x'=1 if w`n'_hh_age`x'<30
		replace w`n'_hh_agecat`x'=2 if w`n'_hh_age`x'<40 & w`n'_hh_agecat`x'==.
		replace w`n'_hh_agecat`x'=3 if w`n'_hh_age`x'<50 & w`n'_hh_agecat`x'==.
		replace w`n'_hh_agecat`x'=4 if w`n'_hh_age`x'<60 & w`n'_hh_agecat`x'==.
		replace w`n'_hh_agecat`x'=5 if w`n'_hh_age`x'<70 & w`n'_hh_agecat`x'==.
		replace w`n'_hh_agecat`x'=6 if w`n'_hh_age`x'>=70 & w`n'_hh_age`x'!=.
		label def w`n'_hh_agecat`x' 1 "18-29" 2 "30-39" 3 "40-49" 4 "50-59" 5 "60-69" 6 "70+"
		label val w`n'_hh_agecat`x' w`n'_hh_agecat`x'
		label var w`n'_hh_agecat`x' "Age"
		
	* HH: Gender of adults
		replace w`n'_hh_gen`x'=0 if w`n'_hh_gen`x'==1
		replace w`n'_hh_gen`x'=1 if w`n'_hh_gen`x'==2
		label var w`n'_hh_gen`x' "Gender of person `x' in HH"
		label def w`n'_hh_gen`x' 0 "Male" 1 "Female"
		label val w`n'_hh_gen`x' w`n'_hh_gen`x'
		
	* HH: Current smokers of adults
		replace w`n'_hh_smk`x'=0 if w`n'_hh_smk`x'==2
		replace w`n'_hh_smk`x'=. if w`n'_hh_smk`x'==77
		label var w`n'_hh_smk`x' "Person `x' in HH currently smokes cigarettes"
		label def w`n'_hh_smk`x' 0 "Non-smoker" 1 "Current smoker"
		label val w`n'_hh_smk`x' w`n'_hh_smk`x'

	*HH: Smoking men and women in HH
		gen w`n'_hh_ms`x'=1 if w`n'_hh_gen`x'==0 & w`n'_hh_smk`x'==1
		replace w`n'_hh_ms`x'=0 if w`n'_hh_gen`x'==0 & w`n'_hh_smk`x'==0
		gen w`n'_hh_fs`x'=1 if w`n'_hh_gen`x'==1 & w`n'_hh_smk`x'==1
		replace w`n'_hh_fs`x'=0 if w`n'_hh_gen`x'==1 & w`n'_hh_smk`x'==0
	}
	
	*Proportion of smokers
	egen w`n'_hh_smk=rowmean(w`n'_hh_smk?)
	replace w`n'_hh_smk=w`n'_smoker if w`n'_hh_smk==0|w`n'_hh_smk==.
	replace w`n'_hh_smk=w`n'_hh_smk*100
	label var w`n'_hh_smk "Proportion of HH adults who smoke"

	egen w`n'_hh_smk_m=rowmean(w`n'_hh_ms?)
	replace w`n'_hh_smk_m=w`n'_hh_smk_m*100
	label var w`n'_hh_smk_m "Proportion of HH men who smoke"

	egen w`n'_hh_smk_f=rowmean(w`n'_hh_fs?)
	replace w`n'_hh_smk_f=w`n'_hh_smk_f*100
	label var w`n'_hh_smk_f "Proportion of HH women who smoke"

	*Children exposed to second hand smoke: NOTE THIS VAR MAY HAVE BEEN WRONG IN WAVE 1
	gen w`n'_smk_child=0 if w`n'_hh_child==0
	replace w`n'_smk_child=1 if w`n'_hh_child==1
	replace w`n'_smk_child=2 if w`n'_hh_child==2
	replace w`n'_smk_child=3 if w`n'_hh_child>=3 & w`n'_hh_child!=.
	replace w`n'_smk_child=0 if w1_hh1_hh2==4 /*NOTE: CHANGE THIS VARIABLE WHEN WE GET THE CORRECT ONE FOR WAVE 2*/
	label var w`n'_smk_child "Number of children in house exposed to smoking"
	
	* HH and Ind Income
	ren w`n'_hh12 w`n'_hh_inc
	replace w`n'_hh_inc=. if w`n'_hh_inc==777|w`n'_hh_inc==999
	label var w`n'_hh_inc "Household income"
	gen w`n'_inc=w`n'_hh_inc/w`n'_hh_adults
	label var w`n'_inc "Individual income"
	
	*Simplified income
	gen w`n'_inc_d=1 if w`n'_inc<=200
	replace w`n'_inc_d=2 if w`n'_inc>200 & w`n'_inc!=.
	label def w`n'_inc_d 1 "Less than or equal to 200" 2 "More than 200"
	label val w`n'_inc_d w`n'_inc_d
	label var w`n'_inc_d "Simple income dummy"
	
	*Individ income categories
	gen w`n'_inc_cat=1 if w`n'_inc<=100
	replace w`n'_inc_cat=2 if w`n'_inc>100 & w`n'_inc<=200
	replace w`n'_inc_cat=3 if w`n'_inc>200 & w`n'_inc<=300
	replace w`n'_inc_cat=4 if w`n'_inc>300 & w`n'_inc!=.
	label def w`n'_inc_cat 1 "Less than or equal to 100" 2 "101-200" 3 "201-300" 4 "301+"
	label val w`n'_inc_cat w`n'_inc_cat

	* Assets: COME BACK TO: HOL HOUSE, SATELLITE DISH, COMP, CAR ETC hh11-1-hh11-5

	* Individual interviwed
	ren w`n'_hh13_1 w`n'_hh_ind_id
	label var w`n'_hh_ind_id "HH roster number of person interviewed"
	tostring w`n'_hh_ind_id hhid, replace
	gen w`n'_iid=w`n'_hh_ind_id+hhid
	replace w`n'_iid="" if strpos(w`n'_iid, ".")
	destring w`n'_iid w`n'_hh_ind_id hhid, replace
	label var w`n'_iid "Individual ID"

	* HH Has female/male
	gen w`n'_hh_gender=2 if (w`n'_hh_f>=1 & w`n'_hh_f!=.) & (w`n'_hh_m>=1 & w`n'_hh_m!=.)
	replace w`n'_hh_gender=1 if w`n'_hh_f==0 & w`n'_hh_gender==.
	replace w`n'_hh_gender=3 if w`n'_hh_m==0 & w`n'_hh_gender==.
	label def w`n'_hh_gender 1 "Only female" 2 "Both gender" 3 "Only male"
	label val w`n'_hh_gender w`n'_hh_gender
	label var w`n'_hh_gender "Genders living in HH"
	
	*Gender
	replace w`n'_gen=0 if w`n'_gen==1
	replace w`n'_gen=1 if w`n'_gen==2
	label var w`n'_gen "Gender"
	label def w`n'_gen 0 "Male" 1 "Female"
	label val w`n'_gen w`n'_gen
	
	*Age
	label var w`n'_age "Age"
	
	gen w`n'_agecat=1 if w`n'_age<30
	replace w`n'_agecat=2 if w`n'_age<50 & w`n'_agecat==.
	replace w`n'_agecat=3 if w`n'_age>=50 & w`n'_age!=.
	label def w`n'_agecat 1 "18-29" 2 "30-49" 3 "50+"
	label val w`n'_agecat w`n'_agecat
	label var w`n'_agecat "Age"
	
	gen w`n'_agecat2=1 if w`n'_agecat<=2
	replace w`n'_agecat2=2 if w`n'_agecat>2 & w`n'_agecat!=.
	label def w`n'_agecat2 1 "18-39 years" 2 "40+ years"
	label val w`n'_agecat2 w`n'_agecat2
	label var w`n'_agecat2 "Age"
	
	*Age squared
	gen w`n'_age2=w`n'_age*w`n'_age
	label var w`n'_age2 "Age squared"
	
	*Education
	replace w`n'_ed=. if w`n'_ed==77|w`n'_ed==99|w`n'_ed==10|w`n'_ed==11
	gen w`n'_ed_d=1 if w`n'_ed<=4
	replace w`n'_ed_d=2 if w`n'_ed==5
	replace w`n'_ed_d=3 if w`n'_ed==6
	replace w`n'_ed_d=4 if w`n'_ed==7
	replace w`n'_ed_d=5 if w`n'_ed>=8 & w`n'_ed!=.
	label var w`n'_ed_d "Education"
	label def w`n'_ed_d 1 "Less Sec. School" 2 "Prof. Ed." 3 "Sec. School" 4 "College incomplete" 5 "College"
	label val w`n'_ed_d w`n'_ed_d

	recode w`n'_ed_d (5=4), gen(w`n'_ed_d2)
	label def w`n'_ed_d2 1 "Less Sec. School" 2 "Prof. Ed." 3 "Sec. School" 4 "College"
	label val w`n'_ed_d2 w`n'_ed_d2
	
	* Work
	gen w`n'_work=.
	replace w`n'_work=1 if w`n'_wrk==1
	replace w`n'_work=2 if w`n'_wrk==2|w`n'_wrk==3
	replace w`n'_work=3 if w`n'_wrk==4
	replace w`n'_work=4 if w`n'_wrk==5|w`n'_wrk==6|w`n'_wrk==7
	replace w`n'_work=5 if w`n'_wrk==8|w`n'_wrk==9
	label var w`n'_work "Work status in past year"
	label def w`n'_work 1 "Employed - state" 2 "Employed - private" 3 "Employed - self" 4 "Retired/student/homemaker" 5 "Unemployed"
	label val w`n'_work w`n'_work
	drop w`n'_wrk

	recode w`n'_work (2=1) (4=5) (5=4), gen(w`n'_work_d)
	label var w`n'_work_d "Work status in past year"
	label def w`n'_work_d 1 "Employed" 3 "Self-employed" 4 "Unemployed" 5 "Not in labour force" 
	label val w`n'_work_d w`n'_work_d
	
	recode w`n'_work_d (3=1), gen(w`n'_work_d2)
	label var w`n'_work_d2 "Simple work status in past year"
	label def w`n'_work_d2 1 "Employed" 4 "Unemployed" 5 "Not in labour force" 
	label val w`n'_work_d2 w`n'_work_d2

	*Type of tobacco used
	gen w`n'_smk_type2=w`n'_smk_type 
	replace w`n'_smk_type2=4 if w`n'_smk_type==5|w`n'_smk_type==6
	label var w`n'_smk_type2 "Tobacco type used"
	label def w`n'_smk_type2 1 "Filter cigarettes" 2 "Unfiltered cigarettes" 3 "Filtered and unfiltered cigarettes" 4 "Other tobacco products"
	label val w`n'_smk_type2 w`n'_smk_type2
	
	*Number smoked per week
	foreach var of varlist w`n'_b4_? w`n'_b7_? {
		replace `var'=0.5 if `var'==888
		replace `var'=. if `var'==999|`var'==777	
	}
	gen w`n'_no_cig_f=w`n'_b4_a
	replace w`n'_no_cig_f=w`n'_b7_a/7 if w`n'_no_cig_f==.
	gen w`n'_no_cig_nf=w`n'_b4_b
	replace w`n'_no_cig_nf=w`n'_b7_b/7 if w`n'_no_cig_nf==.
	gen w`n'_no_cig_h=w`n'_b4_c
	replace w`n'_no_cig_h=w`n'_b7_c/7 if w`n'_no_cig_h==.
	gen w`n'_no_cig_e=w`n'_b4_d
	replace w`n'_no_cig_e=w`n'_b7_d/7 if w`n'_no_cig_e==.
	gen w`n'_no_cigar=w`n'_b4_e
	replace w`n'_no_cigar=w`n'_b7_e/7 if w`n'_no_cigar==.
	replace w`n'_b4_f=. if w`n'_b4_f==322
	replace w`n'_b4_f=1 if w`n'_b4_f!=.
	gen w`n'_no_cig_oth=w`n'_b4_f

	egen w`n'_no_tob=rowtotal(w`n'_no_*), m
	replace w`n'_no_tob=round(w`n'_no_tob)
	label var w`n'_no_tob "Total tobacco products used daily"

	*Where bought cigarettes
	gen w`n'_smk_where=1 if w`n'_smk_w==2
	replace w`n'_smk_where=2 if w`n'_smk_w==1
	replace w`n'_smk_where=3 if w`n'_smk_w==3
	replace w`n'_smk_where=4 if w`n'_smk_w>=4 & w`n'_smk_w<=14
	label var w`n'_smk_where "Where bought cigarettes"
	label def w`n'_smk_where 1 "Supermarket" 2 "Kiosk" 3 "Marketplace" 4 "Other"
	label val w`n'_smk_where w`n'_smk_where
	
	*Brand of cigarettes last bought
	gen w`n'_smk_brand=""
	replace w`n'_smk_brand="Sobranie" if (w`n'_smk_b>=263 & w`n'_smk_b<=270)|(w`n'_smk_b>=1 & w`n'_smk_b<=2)
	replace w`n'_smk_brand="Astra" if (w`n'_smk_b>=9 & w`n'_smk_b<=14)
	replace w`n'_smk_brand="Gauloises" if (w`n'_smk_b>=28 & w`n'_smk_b<=36)
	replace w`n'_smk_brand="Davidoff" if (w`n'_smk_b>=38 & w`n'_smk_b<=41)
	replace w`n'_smk_brand="L&M" if (w`n'_smk_b>=42 & w`n'_smk_b<=48)
	replace w`n'_smk_brand="Wilson" if (w`n'_smk_b>=72 & w`n'_smk_b<=74)
	replace w`n'_smk_brand="Winston" if (w`n'_smk_b>=76 & w`n'_smk_b<=88)
	replace w`n'_smk_brand="Kent" if (w`n'_smk_b>=111 & w`n'_smk_b<=122)
	replace w`n'_smk_brand="Comet" if (w`n'_smk_b>=133 & w`n'_smk_b<=144)
	replace w`n'_smk_brand="Magna" if (w`n'_smk_b>=156 & w`n'_smk_b<=157)
	replace w`n'_smk_brand="Marlboro" if (w`n'_smk_b>=158 & w`n'_smk_b<=165)
	replace w`n'_smk_brand="MM Slims" if (w`n'_smk_b>=171 & w`n'_smk_b<=173)
	replace w`n'_smk_brand="Pall Mall" if (w`n'_smk_b>=196 & w`n'_smk_b<=205)
	replace w`n'_smk_brand="Parliament" if (w`n'_smk_b>=206 & w`n'_smk_b<=212)
	replace w`n'_smk_brand="Pirveli" if (w`n'_smk_b>=215 & w`n'_smk_b<=232)
	replace w`n'_smk_brand="Prima" if (w`n'_smk_b>=245 & w`n'_smk_b<=249)
	replace w`n'_smk_brand="Rothmans" if (w`n'_smk_b>=254 & w`n'_smk_b<=257)
	replace w`n'_smk_brand="Phillip Morris" if (w`n'_smk_b>=280 & w`n'_smk_b<=283)
	replace w`n'_smk_brand="Camel" if (w`n'_smk_b>=285 & w`n'_smk_b<=291)
	replace w`n'_smk_brand="Chibukh Non Filter" if (w`n'_smk_b==294)
	replace w`n'_smk_brand="VIP" if (w`n'_smk_b>=91 & w`n'_smk_b<=97)
	replace w`n'_smk_brand="Black Tip" if (w`n'_smk_b>=19 & w`n'_smk_b<=21)	
	replace w`n'_smk_brand="Manchester" if w`n'_smk_b==300
	replace w`n'_smk_brand="Loose Tobacco or Tubes" if w`n'_smk_b==301 |w`n'_smk_b==325|w`n'_smk_b==315|w`n'_smk_b==318|w`n'_smk_b==309
	replace w`n'_smk_brand="Other" if w`n'_smk_brand=="" & w`n'_smk_b!=.
	label var w`n'_smk_brand "Brand of cigarettes last purchased"
	
	replace w`n'_smk_brand="Sobranie" if w`n'_smk_brand=="" & ((w`n'_smk_brand1>=263 & w`n'_smk_brand1<=269)|(w`n'_smk_brand1>=1 & w`n'_smk_brand1<=2))
	replace w`n'_smk_brand="Astra" if w`n'_smk_brand=="" & (w`n'_smk_brand1>=9 & w`n'_smk_brand1<=14)
	replace w`n'_smk_brand="Gauloises" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=28 & w`n'_smk_brand1<=36)
	replace w`n'_smk_brand="Davidoff" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=38 & w`n'_smk_brand1<=41)
	replace w`n'_smk_brand="L&M" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=42 & w`n'_smk_brand1<=48)
	replace w`n'_smk_brand="Wilson" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=72 & w`n'_smk_brand1<=73)
	replace w`n'_smk_brand="Winston" if w`n'_smk_brand=="" & (w`n'_smk_brand1>=76 & w`n'_smk_brand1<=88)
	replace w`n'_smk_brand="Kent" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=111 & w`n'_smk_brand1<=122)
	replace w`n'_smk_brand="Comet" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=133 & w`n'_smk_brand1<=144)
	replace w`n'_smk_brand="Magna" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=156 & w`n'_smk_brand1<=157)
	replace w`n'_smk_brand="Marlboro" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=158 & w`n'_smk_brand1<=165)
	replace w`n'_smk_brand="MM Slims" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=171 & w`n'_smk_brand1<=173)
	replace w`n'_smk_brand="Pall Mall" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=196 & w`n'_smk_brand1<=205)
	replace w`n'_smk_brand="Parliament" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=206 & w`n'_smk_brand1<=212)
	replace w`n'_smk_brand="Pirveli" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=215 & w`n'_smk_brand1<=232)
	replace w`n'_smk_brand="Prima" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=245 & w`n'_smk_brand1<=249)
	replace w`n'_smk_brand="Rothmans" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=255 & w`n'_smk_brand1<=257)
	replace w`n'_smk_brand="Phillip Morris" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=280 & w`n'_smk_brand1<=283)
	replace w`n'_smk_brand="Camel" if w`n'_smk_brand=="" &(w`n'_smk_brand1>=285 & w`n'_smk_brand1<=291)
	replace w`n'_smk_brand="Chibukh Non Filter" if w`n'_smk_brand=="" & (w`n'_smk_brand1==294)
	replace w`n'_smk_brand="VIP" if w`n'_smk_brand=="" & (w`n'_smk_brand1>=91 & w`n'_smk_brand1<=97)
	replace w`n'_smk_brand="Black Tip" if w`n'_smk_brand=="" & (w`n'_smk_brand1>=19 & w`n'_smk_brand1<=21)
	replace w`n'_smk_brand="Other" if w`n'_smk_brand=="" & w`n'_smk_brand1!=.
	
	* Origin of cigarettes last bought
	gen w`n'_smk_or=1 if w`n'_smk_b==1|w`n'_smk_b==2|w`n'_smk_b==8|(w`n'_smk_b>=18 & w`n'_smk_b<=99)|(w`n'_smk_b>=104 & w`n'_smk_b<=109)|(w`n'_smk_b>=11 & w`n'_smk_b<=165)|(w`n'_smk_b>=171 & w`n'_smk_b<=181)|(w`n'_smk_b>=190 & w`n'_smk_b<=213)|(w`n'_smk_b==226)|(w`n'_smk_b>=242 & w`n'_smk_b>=243)|(w`n'_smk_b>=250 & w`n'_smk_b <=257)|(w`n'_smk_b>=263 & w`n'_smk_b <=283)|(w`n'_smk_b>=285 & w`n'_smk_b <=359)|(w`n'_smk_b>=361 & w`n'_smk_b<=370)|(w`n'_smk_b>=372 & w`n'_smk_b<=375)|(w`n'_smk_b>=377 & w`n'_smk_b<=380)|(w`n'_smk_b>=382 & w`n'_smk_b<=388)|(w`n'_smk_b>=390 & w`n'_smk_b<=395)
	replace w`n'_smk_or=0 if w`n'_smk_b!=. & w`n'_smk_or==.
	*replace w`n'_smk_or=. if (w`n'_smk_b>=309 & w`n'_smk_b<=325)|w`n'_smk_b==334|w`n'_smk_b==336
	label var w`n'_smk_or "Origin of cigarettes last bought"
	label def w`n'_smk_or 0 "Domestic" 1 "Imported"
	label val w`n'_smk_or w`n'_smk_or

	* Show packs
	*First pack
	replace w`n'_smk_show1=2 if w`n'_smk_show1==3|w`n'_smk_show1==4	
	replace w`n'_smk_show1=3 if w`n'_smk_show1==99
	label def w`n'_smk_show1 1 "Shown" 2 "Not shown" 3 "Don't know or refuse"
	label val w`n'_smk_show1 w`n'_smk_show1
	label var w`n'_smk_show1 "Cigarette pack shown"
	
	*Second pack
	gen w`n'_smk_show2=1 if w`n'_othpkhv==2 & w`n'_othpkshow==1
	replace w`n'_smk_show2=2 if w`n'_othpkhv==2 & w`n'_othpkshow==99
	replace w`n'_smk_show2=2 if w`n'_othpkhv==1
	replace w`n'_smk_show2=2 if w`n'_othpkhv==77|w`n'_othpkhv==99
	label def w`n'_smk_show2 1 "Shown" 2 "Not shown"
	label val w`n'_smk_show2 w`n'_smk_show2
	label var w`n'_smk_show2 "Second cigarette pack shown"
	drop w`n'_othpkhv w`n'_othpkshow
	
	*Number of packs shown
	assert w`n'_smk_show1!=. if w`n'_smk_show2!=.
	gen w`n'_smk_show_count=0 if w`n'_smk_show1==2|w`n'_smk_show1==99
	replace w`n'_smk_show_count=1 if w`n'_smk_show1==1 & w`n'_smk_show2!=1
	replace w`n'_smk_show_count=2 if w`n'_smk_show1==1 & w`n'_smk_show2==1
	label var w`n'_smk_show_count "Number of packs shown"
	
	*At least one pack shown
	gen w`n'_smk_show=1 if w`n'_smk_show_count==1|w`n'_smk_show_count==2
	replace w`n'_smk_show=0 if w`n'_smk_show_count==0
	label def w`n'_smk_show 0 "Showed no packs" 1 "Showed a pack"
	label val w`n'_smk_show w`n'_smk_show
	label var w`n'_smk_show "Showed a pack"

	* Type of cigarettes shown
	label var w`n'_smk_show_type1 "Type of cigarettes"
	label def w`n'_smk_show_type 1 "Filtered" 2 "Unfiltered" 3 "Hand roll" 4 "Other"
	label val w`n'_smk_show_type1 w`n'_smk_show_type
	
	label var w`n'_smk_show_type2 "Type of cigarettes"
	label val w`n'_smk_show_type2 w`n'_smk_show_type

	*Shown pack tax stamp
	*First pack
	gen w`n'_smk_show_tax1=1 if w`n'_txst==1
	replace w`n'_smk_show_tax1=2 if w`n'_txst==5|w`n'_txst==6|w`n'_txst==7|w`n'_txst==8
	replace w`n'_smk_show_tax1=3 if w`n'_txst==4|w`n'_txst==77
	replace w`n'_smk_show_tax1=4 if w`n'_txst==3
	label var w`n'_smk_show_tax1 "Tax stamp present"
	label def w`n'_smk_show_tax 1 "Georgian tax stamp" 2 "Foreign tax stamp" 3 "Unclear" 4 "No stamp"
	label val w`n'_smk_show_tax1 w`n'_smk_show_tax
	
	gen w`n'_smk_show_tcoun=1 if w`n'_txst==5
	replace w`n'_smk_show_tcoun=3 if w`n'_txst==6
	replace w`n'_smk_show_tcoun=2 if w`n'_txst==7
	replace w`n'_smk_show_tcoun=4 if w`n'_txst==8
	label def w`n'_smk_show_tcoun 1 "Abkhazian" 2 "Russian" 3 "Armenian" 4 "Dutch"
	label val w`n'_smk_show_tcoun w`n'_smk_show_tcoun
	*drop w`n'_txst

	*Second pack
	gen w`n'_smk_show_tax2=1 if w`n'_txst2==1
	replace w`n'_smk_show_tax2=2 if w`n'_txst2==5|w`n'_txst2==6|w`n'_txst2==7|w`n'_txst2==8
	replace w`n'_smk_show_tax2=3 if w`n'_txst2==4|w`n'_txst2==77
	replace w`n'_smk_show_tax2=4 if w`n'_txst2==3
	label var w`n'_smk_show_tax2 "Tax stamp present"
	label val w`n'_smk_show_tax2 w`n'_smk_show_tax
	
	gen w`n'_smk_show_tcoun2=1 if w`n'_txst2==5
	replace w`n'_smk_show_tcoun2=3 if w`n'_txst2==6
	replace w`n'_smk_show_tcoun2=2 if w`n'_txst2==7
	replace w`n'_smk_show_tcoun2=4 if w`n'_txst2==8
	label def w`n'_smk_show_tcoun2 1 "Abkhazian" 2 "Russian" 3 "Armenian" 4 "Dutch"
	label val w`n'_smk_show_tcoun2 w`n'_smk_show_tcoun2
	*drop w`n'_txst2
	
	*Show Health Warning
	gen w`n'_smk_show_hlt1=1 if w`n'_smk_show_hcoun1==1
	replace w`n'_smk_show_hlt1=1 if w`n'_sh==1
	replace w`n'_smk_show_hlt1=2 if w`n'_smk_show_hcoun1>=2 & w`n'_smk_show_hcoun1<=15
	replace w`n'_smk_show_hlt1=3 if w`n'_sh==99
	replace w`n'_smk_show_hlt1=4 if w`n'_sh==3
	label var w`n'_smk_show_hlt1 "Health warning present"
	label def w`n'_smk_show_hlt 1 "Georgian health warning" 2 "Foreign health warning" 3 "Unclear" 4 "No warning"
	label val w`n'_smk_show_hlt1 w`n'_smk_show_hlt
	*drop w`n'_sh
	
	gen w`n'_smk_show_hlt2=1 if  w`n'_smk_show_hcoun2==1
	replace w`n'_smk_show_hlt2=1 if w`n'_sh2==1
	replace w`n'_smk_show_hlt2=2 if w`n'_smk_show_hcoun2>=2 & w`n'_smk_show_hcoun2<=15
	replace w`n'_smk_show_hlt2=3 if w`n'_sh2==99
	replace w`n'_smk_show_hlt2=4 if w`n'_sh2==3
	label var w`n'_smk_show_hlt2 "Health warning present"
	label val w`n'_smk_show_hlt2 w`n'_smk_show_hlt
	*drop w`n'_sh2
	
	*Now correct the health and tax shown packs, to be missing if the pack was not a cigarette pack (dont want the RYO in here)
	replace w`n'_smk_show_tax1=. if w`n'_smk_show_type1==3|w`n'_smk_show_type1==4
	replace w`n'_smk_show_hlt1=. if w`n'_smk_show_type1==3|w`n'_smk_show_type1==4
	replace w`n'_smk_show_tcoun=. if w`n'_smk_show_type1==3|w`n'_smk_show_type1==4
	replace w`n'_smk_show_tax2=. if w`n'_smk_show_type2==3|w`n'_smk_show_type2==4 
	replace w`n'_smk_show_hlt2=. if w`n'_smk_show_type2==3|w`n'_smk_show_type2==4 
	replace w`n'_smk_show_tcoun2=. if w`n'_smk_show_type2==3|w`n'_smk_show_type2==4
	
	*Illicit pack:Either Georgian tax stamp or health warning missing (used in our paper)
	gen w`n'_illicit1=1 if w`n'_smk_show_type1<=2 & (w`n'_smk_show_tax1==2|w`n'_smk_show_hlt1==2|w`n'_smk_show_tax1==4|w`n'_smk_show_hlt1==4|w`n'_smk_show_tax1==3|w`n'_smk_show_hlt1==3)
	replace w`n'_illicit1=0 if (w`n'_smk_show_type1<=2 & w`n'_smk_show_tax1==1) & (w`n'_smk_show_type1<=2 & w`n'_smk_show_hlt1==1)
	replace w`n'_illicit1=. if w`n'_smk_show_hcoun1==5 & w`n'_txst==1 /*Correct any English health warnings + Georgian tax stamps as missing as per email from Hana 30 Aug 2020*/
	label var w`n'_illicit1 "Illicit: Either Georgian tax stamp or health warning missing"
	label def w`n'_illicit 0 "Both present" 1 "Illicit:Either Georgian tax stamp or health warning missing/unclear" 
	label val w`n'_illicit1 w`n'_illicit

	gen w`n'_illicit2=1 if w`n'_smk_show_type2<=2 & (w`n'_smk_show_tax2==2|w`n'_smk_show_hlt2==2|w`n'_smk_show_tax2==4|w`n'_smk_show_hlt2==4|w`n'_smk_show_tax2==3|w`n'_smk_show_hlt2==3)
	replace w`n'_illicit2=0 if (w`n'_smk_show_type2<=2 & w`n'_smk_show_tax2==1) & (w`n'_smk_show_type2<=2  & w`n'_smk_show_hlt2==1) 
	replace w`n'_illicit2=. if w`n'_smk_show_hcoun2==5 & w`n'_txst2==1 /*Correct any English health warnings + Georgian tax stamps as missing as per email from Hana 30 Aug 2020*/
	label var w`n'_illicit2 "Illicit: Either Georgian tax stamp or health warning missing"
	label val w`n'_illicit2 w`n'_illicit
	
	gen w`n'_illicit=0 if w`n'_illicit1==0|w`n'_illicit2==0
	replace w`n'_illicit=1 if w`n'_illicit1==1|w`n'_illicit2==1
	label var w`n'_illicit "Person has at least one illicit pack: Either Georgian tax stamp or health warning missing"
	label val w`n'_illicit w`n'_illicit
	
	*Do reviewer cross check on Illicit packs 
	*(1) Illicit includes:
		* (a) Georgian tax stamp missing, no other tax stamp present, and pack has no health warning or has foreign health warning (if it has Georgia health warning it is valid)
		* (b) Georgian tax stamp present but pack has no health warning or has foreign health warning
	gen w`n'_illicit_reviewer1=w`n'_illicit1
	replace w`n'_illicit_reviewer1=0 if (w`n'_smk_show_tax1==3|w`n'_smk_show_tax1==4) & w`n'_smk_show_hlt1==1
	label def w`n'_illicit_reviewer 0 "Both present/missing Georgian tax stamp (no other tax stamp)& Georgian health warning" 1 "Illicit:Either Georgian tax stamp or health warning missing/unclear" 
	label val w`n'_illicit_reviewer1 w`n'_illicit_reviewer

	gen w`n'_illicit_reviewer2=w`n'_illicit2
	replace w`n'_illicit_reviewer2=0 if (w`n'_smk_show_tax2==3|w`n'_smk_show_tax2==4) & w`n'_smk_show_hlt2==1
	label val w`n'_illicit_reviewer2 w`n'_illicit_reviewer

	gen w`n'_illicit_reviewer=0 if w`n'_illicit_reviewer1==0|w`n'_illicit_reviewer2==0
	replace w`n'_illicit_reviewer=1 if w`n'_illicit_reviewer1==1|w`n'_illicit_reviewer2==1
	label var w`n'_illicit_reviewer "Reviewer version: Person has at least one illicit pack: Either Georgian tax stamp or health warning missing"
	label val w`n'_illicit_reviewer w`n'_illicit_reviewer

	*Other ways of measuring illicit that we didn't use		
	gen w`n'_smk_show_both1=1 if w`n'_smk_show_tax1==1&w`n'_smk_show_hlt1==1
	replace w`n'_smk_show_both1=2 if (w`n'_smk_show_tax1==2&w`n'_smk_show_hlt1==2) & w`n'_smk_show_both1==.
	replace w`n'_smk_show_both1=3 if ((w`n'_smk_show_tax1==2&w`n'_smk_show_hlt1==1)|(w`n'_smk_show_tax1==1&w`n'_smk_show_hlt1==2)) & w`n'_smk_show_both1==.
	replace w`n'_smk_show_both1=4 if (( w`n'_smk_show_tax1==1|w`n'_smk_show_tax1==2) & (w`n'_smk_show_hlt1==3|w`n'_smk_show_hlt1==4)) & w`n'_smk_show_both1==.
	replace w`n'_smk_show_both1=4 if (( w`n'_smk_show_hlt1==1|w`n'_smk_show_hlt1==2) & (w`n'_smk_show_tax1==3|w`n'_smk_show_tax1==4)) & w`n'_smk_show_both1==.
	replace w`n'_smk_show_both1=5 if (w`n'_smk_show_tax1==3&w`n'_smk_show_hlt1==3) & w`n'_smk_show_both1==.
	replace w`n'_smk_show_both1=5 if (w`n'_smk_show_tax1==3&w`n'_smk_show_hlt1==4) & w`n'_smk_show_both1==.
	replace w`n'_smk_show_both1=5 if (w`n'_smk_show_tax1==4&w`n'_smk_show_hlt1==3) & w`n'_smk_show_both1==.
	replace w`n'_smk_show_both1=6 if (w`n'_smk_show_tax1==4&w`n'_smk_show_hlt1==4) & w`n'_smk_show_both1==.
	label var w`n'_smk_show_both1 "Tax Stamp or Health Warning present"
	label def w`n'_smk_show_both 1 "Georgian tax stamp & health warning" 2 "Only foreign tax stamp & health warning" 3 "Combination Georgian and foreign" 4 "Only one" 5 "Unclear" 6 "No stamp/warning"
	label val w`n'_smk_show_both1 w`n'_smk_show_both

	gen w`n'_smk_show_both2=1 if w`n'_smk_show_tax2==1&w`n'_smk_show_hlt2==1
	replace w`n'_smk_show_both2=2 if (w`n'_smk_show_tax2==2&w`n'_smk_show_hlt2==2) & w`n'_smk_show_both2==.
	replace w`n'_smk_show_both2=3 if ((w`n'_smk_show_tax2==2&w`n'_smk_show_hlt2==1)|(w`n'_smk_show_tax2==1&w`n'_smk_show_hlt2==2)) & w`n'_smk_show_both2==.
	replace w`n'_smk_show_both2=4 if (( w`n'_smk_show_tax2==1|w`n'_smk_show_tax2==2) & (w`n'_smk_show_hlt2==3|w`n'_smk_show_hlt2==4)) & w`n'_smk_show_both2==.
	replace w`n'_smk_show_both2=4 if (( w`n'_smk_show_hlt2==1|w`n'_smk_show_hlt2==2) & (w`n'_smk_show_tax2==3|w`n'_smk_show_tax2==4)) & w`n'_smk_show_both2==.
	replace w`n'_smk_show_both2=5 if (w`n'_smk_show_tax2==3&w`n'_smk_show_hlt2==3) & w`n'_smk_show_both2==.
	replace w`n'_smk_show_both2=5 if (w`n'_smk_show_tax2==3&w`n'_smk_show_hlt2==4) & w`n'_smk_show_both2==.
	replace w`n'_smk_show_both2=5 if (w`n'_smk_show_tax2==4&w`n'_smk_show_hlt2==3) & w`n'_smk_show_both2==.
	replace w`n'_smk_show_both2=6 if (w`n'_smk_show_tax2==4&w`n'_smk_show_hlt2==4) & w`n'_smk_show_both2==.
	label var w`n'_smk_show_both2 "Tax Stamp or Health Warning present"
	label val w`n'_smk_show_both2 w`n'_smk_show_both

	*Shown pack price
	gen w`n'_smk_show_price1=w`n'_sp
	replace w`n'_smk_show_price1=. if w`n'_smk_show_price1==77|w`n'_smk_show_price1==99
	label var w`n'_smk_show_price1 "Price of shown pack (GEL)"
	drop w`n'_sp

	gen w`n'_smk_show_price2=w`n'_sp2
	replace w`n'_smk_show_price2=. if w`n'_smk_show_price2==77|w`n'_smk_show_price2==99
	label var w`n'_smk_show_price2 "Price of shown pack (GEL)"
	drop w`n'_sp2
	
	gen w`n'_smk_p_cat1=1 if w`n'_smk_show_price1<=2
	replace w`n'_smk_p_cat1=2 if w`n'_smk_show_price1<=3 & w`n'_smk_p_cat1==.
	replace w`n'_smk_p_cat1=3 if w`n'_smk_show_price1<=4 & w`n'_smk_p_cat1==.
	replace w`n'_smk_p_cat1=4 if w`n'_smk_show_price1<=6 & w`n'_smk_p_cat1==.
	label var w`n'_smk_p_cat1 "Price of shown pack (GEL)"
	label def w`n'_smk_p_cat 1 "0-2" 2 "2-3" 3 "3-4" 4 "4-6"
	label val w`n'_smk_p_cat1 w`n'_smk_p_cat

	gen w`n'_smk_p_cat2=1 if w`n'_smk_show_price2<=2
	replace w`n'_smk_p_cat2=2 if w`n'_smk_show_price2<=3 & w`n'_smk_p_cat2==.
	replace w`n'_smk_p_cat2=3 if w`n'_smk_show_price2<=4 & w`n'_smk_p_cat2==.
	replace w`n'_smk_p_cat2=4 if w`n'_smk_show_price2<=6 & w`n'_smk_p_cat2==.
	label var w`n'_smk_p_cat2 "Price of shown pack (GEL)"
	label val w`n'_smk_p_cat2 w`n'_smk_p_cat
	
	* Brand of cigarettes shown
	gen w`n'_smk_show_brand1=""
	replace w`n'_smk_show_brand1="Sobranie" if (w`n'_smk_show_b1>=263 & w`n'_smk_show_b1<=269)|(w`n'_smk_show_b1>=1 & w`n'_smk_show_b1<=2)
	replace w`n'_smk_show_brand1="Astra" if (w`n'_smk_show_b1>=9 & w`n'_smk_show_b1<=14)
	replace w`n'_smk_show_brand1="Gauloises" if (w`n'_smk_show_b1>=28 & w`n'_smk_show_b1<=36)
	replace w`n'_smk_show_brand1="Davidoff" if (w`n'_smk_show_b1>=38 & w`n'_smk_show_b1<=41)
	replace w`n'_smk_show_brand1="L&M" if (w`n'_smk_show_b1>=42 & w`n'_smk_show_b1<=48)
	replace w`n'_smk_show_brand1="Wilson" if (w`n'_smk_show_b1>=72 & w`n'_smk_show_b1<=73)
	replace w`n'_smk_show_brand1="Winston" if (w`n'_smk_show_b1>=76 & w`n'_smk_show_b1<=88)
	replace w`n'_smk_show_brand1="Kent" if (w`n'_smk_show_b1>=111 & w`n'_smk_show_b1<=122)
	replace w`n'_smk_show_brand1="Comet" if (w`n'_smk_show_b1>=133 & w`n'_smk_show_b1<=144)
	replace w`n'_smk_show_brand1="Magna" if (w`n'_smk_show_b1>=156 & w`n'_smk_show_b1<=157)
	replace w`n'_smk_show_brand1="Marlboro" if (w`n'_smk_show_b1>=158 & w`n'_smk_show_b1<=165)
	replace w`n'_smk_show_brand1="MM Slims" if (w`n'_smk_show_b1>=171 & w`n'_smk_show_b1<=173)
	replace w`n'_smk_show_brand1="Pall Mall" if (w`n'_smk_show_b1>=196 & w`n'_smk_show_b1<=205)
	replace w`n'_smk_show_brand1="Parliament" if (w`n'_smk_show_b1>=206 & w`n'_smk_show_b1<=212)
	replace w`n'_smk_show_brand1="Pirveli" if (w`n'_smk_show_b1>=215 & w`n'_smk_show_b1<=232)
	replace w`n'_smk_show_brand1="Prima" if (w`n'_smk_show_b1>=245 & w`n'_smk_show_b1<=249)
	replace w`n'_smk_show_brand1="Rothmans" if (w`n'_smk_show_b1>=255 & w`n'_smk_show_b1<=257)
	replace w`n'_smk_show_brand1="Phillip Morris" if (w`n'_smk_show_b1>=280 & w`n'_smk_show_b1<=283)
	replace w`n'_smk_show_brand1="Camel" if (w`n'_smk_show_b1>=285 & w`n'_smk_show_b1<=291)
	replace w`n'_smk_show_brand1="Chibukh Non Filter" if (w`n'_smk_show_b1==294)
	replace w`n'_smk_show_brand1="Other" if w`n'_smk_show_brand1=="" & w`n'_smk_show_b1!=.
	label var w`n'_smk_show_brand1 "Brand of cigarettes shown"

	gen w`n'_smk_show_brand2=""
	replace w`n'_smk_show_brand2="Sobranie" if (w`n'_smk_show_b2>=263 & w`n'_smk_show_b2<=269)|(w`n'_smk_show_b2>=1 & w`n'_smk_show_b2<=2)
	replace w`n'_smk_show_brand2="Astra" if (w`n'_smk_show_b2>=9 & w`n'_smk_show_b2<=14)
	replace w`n'_smk_show_brand2="Gauloises" if (w`n'_smk_show_b2>=28 & w`n'_smk_show_b2<=36)
	replace w`n'_smk_show_brand2="Davidoff" if (w`n'_smk_show_b2>=38 & w`n'_smk_show_b2<=41)
	replace w`n'_smk_show_brand2="L&M" if (w`n'_smk_show_b2>=42 & w`n'_smk_show_b2<=48)
	replace w`n'_smk_show_brand2="Wilson" if (w`n'_smk_show_b2>=72 & w`n'_smk_show_b2<=73)
	replace w`n'_smk_show_brand2="Winston" if (w`n'_smk_show_b2>=76 & w`n'_smk_show_b2<=88)
	replace w`n'_smk_show_brand2="Kent" if (w`n'_smk_show_b2>=111 & w`n'_smk_show_b2<=122)
	replace w`n'_smk_show_brand2="Comet" if (w`n'_smk_show_b2>=133 & w`n'_smk_show_b2<=144)
	replace w`n'_smk_show_brand2="Magna" if (w`n'_smk_show_b2>=156 & w`n'_smk_show_b2<=157)
	replace w`n'_smk_show_brand2="Marlboro" if (w`n'_smk_show_b2>=158 & w`n'_smk_show_b2<=165)
	replace w`n'_smk_show_brand2="MM Slims" if (w`n'_smk_show_b2>=171 & w`n'_smk_show_b2<=173)
	replace w`n'_smk_show_brand2="Pall Mall" if (w`n'_smk_show_b2>=196 & w`n'_smk_show_b2<=205)
	replace w`n'_smk_show_brand2="Parliament" if (w`n'_smk_show_b2>=206 & w`n'_smk_show_b2<=212)
	replace w`n'_smk_show_brand2="Pirveli" if (w`n'_smk_show_b2>=215 & w`n'_smk_show_b2<=232)
	replace w`n'_smk_show_brand2="Prima" if (w`n'_smk_show_b2>=245 & w`n'_smk_show_b2<=249)
	replace w`n'_smk_show_brand2="Rothmans" if (w`n'_smk_show_b2>=255 & w`n'_smk_show_b2<=257)
	replace w`n'_smk_show_brand2="Phillip Morris" if (w`n'_smk_show_b2>=280 & w`n'_smk_show_b2<=283)
	replace w`n'_smk_show_brand2="Camel" if (w`n'_smk_show_b2>=285 & w`n'_smk_show_b2<=291)
	replace w`n'_smk_show_brand2="Chibukh Non Filter" if (w`n'_smk_show_b2==294)
	replace w`n'_smk_show_brand2="Other" if w`n'_smk_show_brand2=="" & w`n'_smk_show_b2!=.
	label var w`n'_smk_show_brand2 "Brand of cigarettes shown"

	*Shown pack origin
	gen w`n'_smk_show_or1=0 if w`n'_smk_show_b1==1|w`n'_smk_show_b1==2|w`n'_smk_show_b1==8|(w`n'_smk_show_b1>=19 & w`n'_smk_show_b1<=99)|(w`n'_smk_show_b1>=102 & w`n'_smk_show_b1<=165)|(w`n'_smk_show_b1>=171 & w`n'_smk_show_b1<=179)|(w`n'_smk_show_b1>=190 & w`n'_smk_show_b1<=212)|(w`n'_smk_show_b1==226)|(w`n'_smk_show_b1==243)|(w`n'_smk_show_b1>=254 & w`n'_smk_show_b1 <=283)|(w`n'_smk_show_b1>=285 & w`n'_smk_show_b1<=305)|(w`n'_smk_show_b1==331)|w`n'_smk_show_b1==335
	replace w`n'_smk_show_or1=. if w`n'_smk_show_b1==.
	replace w`n'_smk_show_or1=1 if w`n'_smk_show_b1!=. & w`n'_smk_show_or1==.
	replace w`n'_smk_show_or1=. if (w`n'_smk_show_b1>=309 & w`n'_smk_show_b1<=325)|w`n'_smk_show_b1==334|w`n'_smk_show_b1==336
	label var w`n'_smk_show_or1 "Origin of cigarettes shown"
	label def w`n'_smk_show_or 0 "Imported" 1 "Domestic"
	label val w`n'_smk_show_or1 w`n'_smk_show_or

	gen w`n'_smk_show_or2=0 if w`n'_smk_show_b2==1|w`n'_smk_show_b2==2|w`n'_smk_show_b2==8|(w`n'_smk_show_b2>=19 & w`n'_smk_show_b2<=99)|(w`n'_smk_show_b2>=102 & w`n'_smk_show_b2<=165)|(w`n'_smk_show_b2>=171 & w`n'_smk_show_b2<=179)|(w`n'_smk_show_b2>=190 & w`n'_smk_show_b2<=212)|(w`n'_smk_show_b2==226)|(w`n'_smk_show_b2==243)|(w`n'_smk_show_b2>=254 & w`n'_smk_show_b2 <=283)|(w`n'_smk_show_b2>=285 & w`n'_smk_show_b2<=305)|(w`n'_smk_show_b2==331)|w`n'_smk_show_b2==335
	replace w`n'_smk_show_or2=. if w`n'_smk_show_b2==.
	replace w`n'_smk_show_or2=1 if w`n'_smk_show_b2!=. & w`n'_smk_show_or2==.
	replace w`n'_smk_show_or2=. if (w`n'_smk_show_b2>=309 & w`n'_smk_show_b2<=325)|w`n'_smk_show_b2==334|w`n'_smk_show_b2==336
	label var w`n'_smk_show_or2 "Origin of cigarettes shown"
	label val w`n'_smk_show_or2 w`n'_smk_show_or


	*ATTITUDES AND PERCEPTIONS
	*Reasons for illicit
	gen w`n'_a_price=.
	forvalues x=1/7{
		replace w`n'_a_price=0 if w`n'_d1_`x'!=.
		replace w`n'_a_price=1 if w`n'_d1_`x'==2
		label var w`n'_a_price "Attitude to illicit cigarettes: Low Price"
		label val w`n'_a_price yesno
	}
	gen w`n'_a_tax=.
	forvalues x=1/7{
		replace w`n'_a_tax=0 if w`n'_d1_`x'!=.
		replace w`n'_a_tax=1 if w`n'_d1_`x'==1
		label var w`n'_a_tax "Attitude to illicit cigarettes: No tax paid"
		label val w`n'_a_tax yesno
	}
	gen w`n'_a_qual=.
	forvalues x=1/7{
		replace w`n'_a_qual=0 if w`n'_d1_`x'!=.
		replace w`n'_a_qual=1 if w`n'_d1_`x'==3
		label var w`n'_a_qual "Attitude to illicit cigarettes: Poor quality"
		label val w`n'_a_qual yesno
	}
	gen w`n'_a_out=.
	forvalues x=1/7{
		replace w`n'_a_out=0 if w`n'_d1_`x'!=.
		replace w`n'_a_out=1 if w`n'_d1_`x'==4
		label var w`n'_a_out "Attitude to illicit cigarettes: Sold unregistered outlet"
		label val w`n'_a_out yesno
	}
	gen w`n'_a_hlt=.
	forvalues x=1/7{
		replace w`n'_a_hlt=0 if w`n'_d1_`x'!=.
		replace w`n'_a_hlt=1 if w`n'_d1_`x'==5|w`n'_d1_`x'==6|w`n'_d1_`x'==7|w`n'_d1_`x'==11
		label var w`n'_a_hlt "Attitude to illicit cigarettes: Can't read health warning"
		label val w`n'_a_hlt yesno
	}
	gen w`n'_a_dk=.
	forvalues x=1/7{
		replace w`n'_a_dk=0 if w`n'_d1_`x'!=.
		replace w`n'_a_dk=1 if w`n'_d1_`x'==77
		label var w`n'_a_dk "Attitude to illicit cigarettes: Don't know"
		label val w`n'_a_dk yesno
	}
	gen w`n'_a_ref=.
	forvalues x=1/7{
		replace w`n'_a_ref=0 if w`n'_d1_`x'!=.
		replace w`n'_a_ref=1 if w`n'_d1_`x'==99
		label var w`n'_a_ref "Attitude to illicit cigarettes: Refuse"
		label val w`n'_a_ref yesno
	}
	gen w`n'_a_oth=.
	forvalues x=1/7{
		replace w`n'_a_oth=0 if w`n'_d1_`x'!=.
		replace w`n'_a_oth=1 if w`n'_d1_`x'==8|w`n'_d1_`x'==9|w`n'_d1_`x'==10|w`n'_d1_`x'==12|w`n'_d1_`x'==13|w`n'_d1_`x'==15|w`n'_d1_`x'==16
		label var w`n'_a_oth "Attitude to illicit cigarettes: Other"
		label val w`n'_a_oth yesno
	}
	
	* Awareness
	ren w`n'_d2 w`n'_aware
	replace w`n'_aware=0 if w`n'_aware==2
	label var w`n'_aware "Aware of illicit tobacco in area"
	label def w`n'_aware 0 "Unaware" 1 "Aware" 77 "Don't know" 99 "Refuse"
	label val w`n'_aware w`n'_aware
	
	*Would people still buy illegal even if they knew
	replace w`n'_know=0 if w`n'_know==2
	label var w`n'_know "Do you think people would still buy illegal cigarettes if they knew they were illegal"
	label def w`n'_know 0 "No" 1 "Yes" 77 "Don't know" 99 "Refuse"
	label val w`n'_know w`n'_know 
	
	*Household income is missing
	gen w`n'_hh_inc_nonmiss=1 if w`n'_hh_inc!=.
	replace w`n'_hh_inc_nonmiss=0 if w`n'_hh_inc==777|w`n'_hh_inc==999
	replace w`n'_hh_inc_nonmiss=0 if w`n'_hh_inc==777|w`n'_hh_inc==999|(w`n'_hh_inc==. & (w`n'_response==1|w`n'_response==2))
	replace w`n'_hh_inc_nonmiss=. if w`n'_response==1 
	
	*Household income category
	gen w`n'_hh_inc_cat=1 if w`n'_hh_inc<=500
	replace w`n'_hh_inc_cat=2 if (w`n'_hh_inc>500 & w`n'_hh_inc<=1000)
	replace w`n'_hh_inc_cat=3 if (w`n'_hh_inc>1000 & w`n'_hh_inc!=.)
	
	*Ln Income
	gen w`n'_lninc=ln(w`n'_inc)
	label var w`n'_lninc "Log income (individual)"
	
	*Ln HH Income
	gen w`n'_lnhhinc=ln(w`n'_hh_inc)
	label var w`n'_lnhhinc "Log income (household)"	
	
	*Country: tax stamp used as definer first, then if that is missing use health warning
	label def w`n'_country 1 "Abkhazia" 2 "Russia" 3 "Armenia" 4 "Holland" 5 "English" 6 "Russia and English"  7 "Poland" 8 "Belgium" 9 "Spain" 10 "Turkey" 11 "United Arab Emirates" 12 "Brazil" 13 "Russia & English" 14 "Bulgaria" 15 "Armenia/Abkhazia" 16 "Georgia" 17 "Unclear/missing"
	gen w`n'_country1=w`n'_smk_show_tcoun if w`n'_smk_show_type1<=2 & w`n'_illicit1==1
	replace w`n'_country1=w`n'_smk_show_hcoun1 if (w`n'_smk_show_type1<=2) & w`n'_illicit1==1 & w`n'_country1==.
	replace w`n'_country1=16 if w`n'_sh==1 & (w`n'_smk_show_type1<=2) & w`n'_illicit1==1 & w`n'_country1==.
	replace w`n'_country1=17 if (w`n'_sh==3|w`n'_sh==99) & (w`n'_smk_show_type1<=2) & w`n'_illicit1==1 & w`n'_country1==.
	replace w`n'_country1=16 if w`n'_sh==3 & w`n'_txst==1 & (w`n'_smk_show_type1<=2) & w`n'_illicit1==1
	replace w`n'_country1=17 if w`n'_country1==5
	label val w`n'_country1 w`n'_country
	
	gen w`n'_country2=w`n'_smk_show_tcoun2 if w`n'_smk_show_type2<=2 & w`n'_illicit2==1
	replace w`n'_country2=w`n'_smk_show_hcoun2 if w`n'_smk_show_type2<=2 & w`n'_illicit2==1 & w`n'_country2==.
	replace w`n'_country2=16 if w`n'_sh2==1 & w`n'_smk_show_type2<=2 & w`n'_illicit2==1 & w`n'_country2==.
	replace w`n'_country2=17 if (w`n'_sh2==3|w`n'_sh2==99) & w`n'_smk_show_type2<=2 & w`n'_illicit2==1 & w`n'_country2==.
	replace w`n'_country1=17 if w`n'_country1==5
	label val w`n'_country2 w`n'_country
	label var w`n'_country2 "Obs 2: Country of illicit, tax stamp examined first, then health warning"
	
	* Change smk_brand to numerics
	foreach var in smk_brand smk_show_brand1 smk_show_brand2 {
		replace w`n'_`var'="1" if w`n'_`var'=="Sobranie"
		replace w`n'_`var'="2" if w`n'_`var'=="Astra"
		replace w`n'_`var'="3" if w`n'_`var'=="Gauloises"
		replace w`n'_`var'="4" if w`n'_`var'=="Davidoff"
		replace w`n'_`var'="5" if w`n'_`var'=="L&M"
		replace w`n'_`var'="6" if w`n'_`var'=="Wilson"
		replace w`n'_`var'="7" if w`n'_`var'=="Winston"
		replace w`n'_`var'="8" if w`n'_`var'=="Kent"
		replace w`n'_`var'="9" if w`n'_`var'=="Comet"
		replace w`n'_`var'="10" if w`n'_`var'=="Magna"
		replace w`n'_`var'="11" if w`n'_`var'=="Marlboro"
		replace w`n'_`var'="12" if w`n'_`var'=="MM Slims"
		replace w`n'_`var'="13" if w`n'_`var'=="Pall Mall"
		replace w`n'_`var'="14" if w`n'_`var'=="Parliament"
		replace w`n'_`var'="15" if w`n'_`var'=="Pirveli"
		replace w`n'_`var'="16" if w`n'_`var'=="Prima"
		replace w`n'_`var'="17" if w`n'_`var'=="Rothmans"
		replace w`n'_`var'="18" if w`n'_`var'=="Phillip Morris"
		replace w`n'_`var'="19" if w`n'_`var'=="Camel"
		replace w`n'_`var'="20" if w`n'_`var'=="Chibukh Non Filter"
		replace w`n'_`var'="21" if w`n'_`var'=="VIP"
		replace w`n'_`var'="22" if w`n'_`var'=="Black Tip"
		replace w`n'_`var'="23" if w`n'_`var'=="Manchester"
		replace w`n'_`var'="24" if w`n'_`var'=="Loose Tobacco or Tubes"
		replace w`n'_`var'="25" if w`n'_`var'=="Other"
		destring w`n'_`var', replace
	
		label def w`n'_`var' 1 "Sobranie" 2 "Astra" 3 "Gauloises" 4 "Davidoff" 5 "L&M" 6 "Wilson" 7 "Winston" 8 "Kent" 9 "Comet" ///
		10 "Magna" 11 "Marlboro" 12 "MM Slims" 13 "Pall Mall" 14 "Parliament" 15 "Pirveli" 16 "Prima" 17 "Rothmans" 18 "Phillip Morris" 19 "Camel" ///
		20 "Chibukh Non Filter" 21 "VIP" 22 "Black Tip" 23 "Manchester" 24 "Loose Tobacco or Tubes" 25 "Other"
		label val w`n'_`var' w`n'_`var'
	}
}
	
* Correct education variable in Waves 2 and 3
forvalues n=2/3{
	replace w`n'_ed_d=w1_ed_d if w`n'_response==3 & w`n'_ed==.
}
replace w3_ed_d=w2_ed_d if w3_response==3 & w3_ed==.

* Correct Wave 3, pack shown variable - we have data on type of pack shown for people that have been recorded as not showing a pack
replace w3_smk_show=1 if (w3_smk_show_type1==1|w3_smk_show_type1==2|w3_smk_show_type2==1|w3_smk_show_type2==2)

*order *hhid *iid *hh_ind_id *int_id *psu *region *district *urban *status *ind_status* *round *response *hh_size *hh_child *hh_adults *hh_m *hh_f *hh_gender *hh_inc *lang *h_type-*hh_smk8 *hh_smk
cap drop __*
save "$dir_temp\all.dta", replace


