

* Check through the tracking and drop people that were mistakenly tracked between waves
*CHECK this
drop if (w1_response==1|w1_response==2) & w2_response==4

**BLM:APPEARS TO BE ABANDONED CODE FOR HH LEVEL
*keep *hhid *iid *hh_ind_id *int_id *psu *region *district *urban *status *ind_status* *round *response *hh_size *hh_child *hh_adults *hh_m *hh_f *hh_gender *hh_inc *lang *h_type-*hh_smk8 *hh_smk
*save "$data\hh.dta", replace

** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  
** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** ** 
 
* INDIVIDUAL LEVEL ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  ** ** **  
*set weights
gen x=1
svyset [w=x]

*Create the non-response panel weights

*Create the response between w1 and 2
gen w12_resp=1 if w1_response==1
replace w12_resp=2 if w2_response==1 & w1_response==.
replace w12_resp=3 if w1_response==2
replace w12_resp=4 if w2_response==2 & w1_response==.

replace w12_resp=5 if w1_response==3 & w2_response==3
replace w12_resp=6 if w1_response==3 & w2_response==1
replace w12_resp=7 if w1_response==3 & w2_response==2
replace w12_resp=8 if w1_response==3 & w2_response==4
replace w12_resp=9 if w1_response==3 & w2_response==5
replace w12_resp=10 if w1_response==. & w2_response==3

label def w12_resp 1 "W1 HH ref" 2 "W2 HH ref (W2 first time)" 3 "W1 no tob users" 4 "W2 no tob users (W2 first time)" /*
*/ 5 "W1 done & W2 done" 6 "W1 done, W2 HH ref" 7 "W1 done, W2 no tob users" 8 "W1 done, W2 not home" 9 "W1 done, W2 moved" /*
*/ 10 "W2 done (W2 first time)"
label val w12_resp w12_resp

*Interviewed the wrong people
drop if w12_resp==4 & w3_response==3

*1. Indicators of attrition:
*1.1. Present in all three waves
gen a123=1 if w1_response==3
replace a123=0 if w1_response==3 & w2_response==3 & w3_response==3
label var a123 "Attrition between W1, W2 and W3"
label def a123 0 "Remain in sample" 1 "Attrit between W1 and W3"
label val a123 a123

*1.2 Create the attrition variable (Wave 1-2)
gen a12=0 if w1_response==3 & w2_response==3
replace a12=1 if (w2_response==1|w2_response==2|w2_response==4|w2_response==5) & a12==0 /*In W2 people attrit if they refuse, no tobacco users reside, they are not home or moved away*/
label var a12 "Attrition between W1 and W2"
label def a12 0 "Remain in sample" 1 "Attrit between W1 and W2"
label val a12 a12

*1.3 Create the attrition variable (Wave 2-3)
gen a23=0 if w2_response==3 & w3_response==3
replace a23=1 if (w3_response==1|w3_response==2) & a23==0 /*In W3 people attrit if they either refuse or no tobacco users reside*/
label var a23 "Attrition between W2 and W3"
label def a23 0 "Remain in sample" 1 "Attrit between W2 and W3"
label val a23 a23


*numlabel, ad
foreach n in 1 2 3{
	replace w`n'_smk_show_b1=. if w`n'_illicit1!=1
	replace w`n'_smk_show_b2=. if w`n'_illicit2!=1	
}
replace w2_smk_show_b2=. if pid==3807

*Simplify type to manufactured and RYO
foreach x in 1 2 3 {
	gen w`x'_smktype=1 if w`x'_smk_type>=1 & w`x'_smk_type <=3
	replace w`x'_smktype=2 if w`x'_smk_type==4
	replace w`x'_smktype=3 if w`x'_smk_type==5
	replace w`x'_smktype=4 if w`x'_smk_type==6
	label var w`x'_smktype "Tobacco type"
	label def w`x'_smktype 1 "Manufactured cigarettes" 2 "Manufactured & RYO" 3 "RYO only" 4 "Only other tobacco"
	label val w`x'_smktype w`x'_smktype
}

*Correct w2_response in line with Hana's suggestion to group everyone into Interviewed, No Tobacco Users Reside, Non-response (where non-response includes moved away, not home and refused to participate)
replace w2_response=1 if w2_response==4|w2_response==5
label drop w2_response
label def w2_response 1 "Non-response" 2 "No tobacco users reside" 3 "Interviewed"
label val w2_response w2_response

*Create testers - (1) Remove packs that have english warning, georgian stamp; (2) mark them as legal
foreach n in 1 2 3 {
	foreach t in 1 2 {
		gen w`n'_ill`t'=w`n'_illicit`t'
		replace w`n'_ill`t'=0 if w`n'_smk_show_hcoun`t'==5 & w`n'_txst==1 /*Georgian tax stamp and English health warning*/
	}	
	gen w`n'_ill=0
	replace w`n'_ill=1 if w`n'_ill1==1
	replace w`n'_ill=1 if w`n'_ill2==1	
}

save "$dir_temp\all.dta", replace