**Cleaning Firdale's tobacoo data
**BLM

use "$dir_temp\all.dta", clear

dropmiss _all, force

**PART 1 - LABELS
**Remove unread characters from labels (that appear as a ? in square box)
local badlabels "w3_resp7_1 w3_resp8_1_1 w3_resp8_1_2 w3_resp8_1_3 w3_resp8_1_10 w2_resp7_1 w2_resp8_1_2 w2_resp8_1_10 w2_w_old w1_hh1 w1_hh6_1 w1_hh7_1 w1_hh7_1_gr w1_hh8_1"
foreach v of local badlabels {
   local lab:variable label `v'
   local labfixed = subinstr("`lab'","persons", "person", .)
   local labfixed = subinstr("`labfixed'",char(146), "", .)
   local labfixed = subinstr("`labfixed'",char(147), "", .)
   local labfixed = subinstr("`labfixed'",char(148), "", .)
   local labfixed = subinstr("`labfixed'","these person", "these persons", .) //a slight hack to undo dropping the s where it shouldnt have been dropped
   label var `v' "`labfixed'"
  
}

**Below I remove caps AFTER either the last period (.) an instance of HH an the instance of : 
foreach var of varlist w3_hhid w3_c13_1 w3_c13_2_other w3_c13_3 w3_c13_4 w3_c13_4_1 w3_sh w3_c16_1 w3_c16_3 w3_c16_4 w3_sh2 w2_c5_1_a w2_c5_1_b w2_c5_1_c w2_c13_1 w2_c13_3 w2_c13_4 w2_c13_4_1 w2_sh w2_c16_1 w2_c16_3 w2_c16_4 w2_sh2 w1_time_01 w1_hh9_1 w1_id_nom w1_info_10 w1_info_11 w1_lang w1_time_02 w1_c1_1 w1_c1_2 w1_c1_3 w1_c1_4 w1_c1_10 w1_c1_20 w1_c1_30 w1_c1_40 w1_c1_5 w1_c7_1 w1_txst w1_sh w1_c10_1 w1_c10_4 w1_sh2 w1_end_interviu w2_txst w2_txst2 w3_txst w3_txst2 {
local label: variable label `var'

local laststoppos=strrpos("`label'",".")

if `laststoppos'==0 & strrpos("`label'","HH") !=0 {
local laststoppos=strrpos("`label'","HH")+1
}

if `laststoppos'==0 {
local laststoppos=strrpos("`label'",": ")
}

local left=substr("`label'",1,`laststoppos')
local right=substr("`label'",`laststoppos'+1,length("`label'")-`laststoppos')

local right_lower=lower("`right'")
local newlabel=stritrim("`left'`right_lower'")
label variable `var' "`newlabel'"
}

**looking for ?? and removing that from labels
local hasqmark ""
qui ds, has(vallabel)
local labeled_vars `r(varlist)'
foreach v of local labeled_vars {
    di "`v' is variable"
	
    qui labellist `v'
	local labels "`r(labels)'"
	local values `r(values)'
	local name  "`r(lblname)'"
	di "`values'"
	
	local i=1	
	foreach valuelabel of local labels {
	    local position:word `i' of `values'
	    di "`valuelabel' is `position'"
		
		
	    	  if regexm("`valuelabel'","\?")==1 {
				local fixed =subinstr("`valuelabel'","?","",.)
				di "`fixed'"
				label define `name' `position' `"`fixed'"', modify	    
			}
local ++i
	}

}

foreach var of local hasqmark {
    di "`var'"
}

**Adding WX to prefix of label if not there
foreach pref in w1 w2 w3 {
unab vars: `pref'*
foreach var of local vars {
local lab:variable label `var'
local prefvar=substr("`lab'",1,2)
local prefvar2=lower("`prefvar'")
di "`prefvar2'"
if "`prefvar2'"!="`pref'" {
local newpref=upper("`pref'")
local newlab "`newpref': `lab'"
local newlabtrunc=substr("`newlab'",1,80)
local new 
label var `var' "`newlabtrunc'"
}
}
}

**remove unnecessary decimal points and ? and "  "
foreach var of varlist _all {
local label: variable label `var'
local newlabel=subinstr("`label'","?","",.)
local newlabel=subinstr("`newlabel'",". "," ",.)
local newlabel=stritrim("`newlabel'")
local newlabel=subinstr("`newlabel'","W1","w1",.)
local newlabel=subinstr("`newlabel'","W2","w2",.)
local newlabel=subinstr("`newlabel'","W3","w3",.)
label variable `var' "`newlabel'"
di "`newlabel'"
}

**capitalise first letter after first " "
foreach var of varlist _all {
local label:variable label `var'
local pos=strpos("`label'"," ")
local left=substr("`label'",1,(`pos'))
local mid=upper(substr("`label'",`pos'+1,1))
local right=substr("`label'",`pos'+2,length("`label'")-`pos'-1)

local new "`left'`mid'`right'"

if "`new'" !="`label'" {
di "`new' is new"
di "`label' is old"
label variable `var' "`new'"
}
}


label var w2_psu "w2: PSU" 
label var w3_psu "w3: PSU"

**PART 2 - VALUES 
**This whack of code belows quite brilliantly removes all the bad characters from the encoded variables. 
local badvalues ""
qui ds, has(vallabel)
local labeled_vars `r(varlist)'
foreach v of local labeled_vars {
    qui labellist `v'
	local labels "`r(labels)'"
	foreach valuelabel of local labels {
	    if regexm("`valuelabel'",char(146))==1 {
	local badvalues "`badvalues' `v'" 
	    }
	}
}

	di "`badvalues' are vars with the bad character 146 or 65533"
	
foreach v of local badvalues {
     qui labellist `v'
	local labels "`r(labels)'" 
    local values `r(values)'	
	local name  "`r(lblname)'"
	local i=1
	foreach label of local labels {
	    local position:word `i' of `values'
		
		if regexm("`label'",char(146))==1  | ustrregexm("`label'","�")==1 {
		    di "`label'"
		local fixed1=subinstr("`label'",char(146),"",.)
		local fixed = usubinstr("`fixed1'", "`=uchar(65533)'", "", .)
		di "`fixed'"
		label define `name' `position' `"`fixed'"', modify
		
		}
		local ++i
	}
}


**Sorting the waves they were in 

forvalues i=1/3 {
    label var w`i'_int_id "w`i': Interviewer code"
	gen w`i'_interviewed_result =.
	label var w`i'_interviewed_result "w`i': Flag indicating the person was interviewed in wave `i'"
}

decode merge12, gen (merge12t)
decode merge312, gen(merge312t)
replace w1_interview =1 if merge12t=="W1" | merge12t=="W1&W2" 
replace w2_interview =1 if merge12t=="W2" | merge12t=="W1&W2" 
replace w3_interview =1 if merge312t=="W3 & others" | merge312t=="W3 only" 
drop wave3 wave2 wave1 	//these 3 vars were doing the exact same thing! 
drop merge*

***fixing the response types 
decode w12_resp, gen(temp)
gen w2_response_temp=""
replace w2_response_temp="No one home" if temp=="W1 done, W2 not home"
replace w2_response_temp="Household refusal" if temp=="W1 done, W2 HH ref"
replace w2_response_temp="Household moved" if temp=="W1 done, W2 moved"
replace w2_response_temp="No tobacco users reside" if temp=="W1 done, W2 no tob users"
replace w2_response_temp="Interviewed" if temp=="W1 done & W2 done"
replace w2_response_temp="Interviewed" if temp=="W2 done (W2 first time)"

drop w2_response temp

#delimit ;
cap label drop w2_response
label define w2_response 
1 "Household refusal"
2 "No tobacco users reside"
3 "Interview complete" 
4 "No one home" 
5 "Moved away" ;

#delimit cr
sencode w2_response_temp, gen(w2_response) label(w2_response)

**Fixing the response variables so w2 matches the other 2 waves
label define w2_response 1 "Household refusal", modify
cap drop w12_resp w2_response_temp

forvalues i=1/3 {
    	label var w`i'_response "w`i': Response type"
}

unab geo: *_geo_*
foreach var of local geo {
cap sencode `var', replace

}

**PART 3 - VARIABLES 
**Dropping bum variables with all question marks. Note: I checked and these all come from the input file! I checked the values as well of course
drop w1_variabl0 w1_a5_axalgazrdebsi w1_var00014 w1_variabl00
drop w1_variabl01 //perfectly correlated with sigareti_a
drop w1_c7_gr //perfectly correlated with this "filter_" variable. Note that I checked these in the input file thats why varnames wont match exactly

label variable w1_b4_c_b7_c "Person smoked hand-rolled cigarettes (B4c or B7c is yes)"
label variable w1_variabl02 "Note: Unidentified variable that cannot be matched to questionnaire"

**Dropping the variables that were tagged as illegal, as the researcher can figure that put themselves based on packaging etc
drop w1_ill1 w1_ill2 w1_ill w2_ill1 w2_ill2 w2_ill w3_ill1 w3_ill2 w3_ill

drop x //pointless variable full of "1"

**Illicit and tax and health warning country vars generated by megan
drop w1_smk_show_tcoun w2_smk_show_tcoun w3_smk_show_tcoun w3_smk_show_tcoun2	//these are already captured in the raw "txst" variables
drop *smk_show_hcoun1 	//these are captured in wx_c13_5_1/c16_5_1

label var w3_c13_5_1 "w3: 13.5.1: Presence of health warning - other country"
label var w3_c16_5_1 "w3: C16.5.1: Presence of health warning - other country"
label var w2_c13_5_1 "w2: C13.5.1: Presence of health warning - other country"
label var w2_c16_5_1 "w2: C16.5.1: Presence of health warning - other country"

qui labelbook
label drop `r(notused)'

ren w2_region w2_geo_province
ren w3_region w3_geo_province

drop w3_hh5_1_gr w3_hh5_2_gr w3_hh5_3_gr w3_hh5_4_gr w3_hh5_5_gr w3_hh5_6_gr w3_hh5_7_gr w3_hh5_8_gr w2_hh5_1_gr w2_hh5_2_gr w2_hh5_3_gr w2_hh5_4_gr w2_hh5_5_gr w2_hh5_6_gr w2_hh5_7_gr w1_hh7_1_gr w1_hh7_2_gr w1_hh7_3_gr w1_hh7_4_gr w1_hh7_5_gr w1_hh7_6_gr w1_hh7_7_gr w1_hh7_8_gr w1_a3_gr w1_a3_gr1 //categorical age variables when we wave the actual ages
drop w3_resp_age1 w3_resp_age w2_resp_age1 w2_resp_age // same
drop w1_hh_agecat1 w1_hh_agecat2 w1_hh_agecat3 w1_hh_agecat4 w1_hh_agecat5 w1_hh_agecat6 w1_hh_agecat7 w1_hh_agecat8 w1_agecat w1_agecat2 w2_hh_agecat1 w2_hh_agecat2 w2_hh_agecat3 w2_hh_agecat4 w2_hh_agecat5 w2_hh_agecat6 w2_hh_agecat7 w2_agecat w2_agecat2 w3_hh_agecat1 w3_hh_agecat2 w3_hh_agecat3 w3_hh_agecat4 w3_hh_agecat5 w3_hh_agecat6 w3_hh_agecat7 w3_hh_agecat8 w3_agecat w3_agecat2 //more categorical ages

drop w1_smk_b w2_smk_b w3_smk_b	//brand information captured in other variables in each wave

drop w3_hhid //contained in hhid
drop w1_w_region //same as w2_w_old
drop dup //This is duplicates of respondant PID. Researcher can do this themselves
drop w1_age2 w2_age2 w3_age2 //age squared 

ren w2_w_old w2_weight_old

ren a12  attrition12 
ren a123 attrition123
ren a23  attrition23

order w2*, first
order w1*, first
order attrition123 attrition12 attrition23, first
order hhid pid, first


**vars with all one value - numeric
ds, has(type numeric)
local nums `r(varlist)'
local all_one ""
foreach var of local nums {
 su `var'
return list
if "`r(max)'"=="`r(min)'" & `r(N)'==6220 {
di "`var' has single value and no misisng"
local all_one "`all_one' `var'"
}
}
*br `all_one' //this was used to find some of the vars dropped below

**DROPPING VARS THAT DON'T ADD ANY INFORMATION ESPECIALLY THOSE CREATED IN ANALYSIS PHASE

drop w2_tobtype w3_tobtype	//two vars full of 1s with no label
drop *psu* //the weighting was done by "region". The Geographic vars were so bad and changed so much I don't think it makes sense to keep these.
 
drop w1_dem_01 w1_info_10 w3_dem_01 //some duplicated consent variables not necessary. 

drop w1_a5_gr w1_b4_b_gr w1_b4_c_gr w1_b7_b_gr w1_b7_c_gr w1_c2_gr w1_c5_gr 		//all aggregated categorical vars where we have the dissaggregated so not necessary. 
drop w1_filter__	//something presumably created for analysis. Not needed now, based of C7 varaible
drop w1_smk_show_b1 w1_txst2		//more vars created in analysis phase
drop w1_ind_status1 w1_ind_status2 w1_ind_status3 w2_ind_status1 w2_ind_status2 w2_ind_status3 w3_ind_status1 //also created during analysis phase. Based off other vars that we have. 

drop w1_hh_ms1 w1_hh_fs1 w1_hh_ms2 w1_hh_fs2 w1_hh_ms3 w1_hh_fs3 w1_hh_ms4 w1_hh_fs4 w1_hh_ms5 w1_hh_fs5 w1_hh_ms6 w1_hh_fs6 w1_hh_ms7 w1_hh_fs7 w1_hh_ms8 w1_hh_fs8  //more vars created in analysis phase. stand for fe/male smoker 
drop w2_hh_ms1 w2_hh_fs1 w2_hh_ms2 w2_hh_fs2 w2_hh_ms3 w2_hh_fs3 w2_hh_ms4 w2_hh_fs4 w2_hh_ms5 w2_hh_fs5 w2_hh_ms6 w2_hh_fs6 w2_hh_ms7 w2_hh_fs7 //same for w2
drop w3_hh_ms1 w3_hh_fs1 w3_hh_ms2 w3_hh_fs2 w3_hh_ms3 w3_hh_fs3 w3_hh_ms4 w3_hh_fs4 w3_hh_ms5 w3_hh_fs5 w3_hh_ms6 w3_hh_fs6 w3_hh_ms7 w3_hh_fs7 w3_hh_ms8

drop w1_inc_cat w1_hh_inc_cat w2_inc_cat w2_hh_inc_cat w3_inc_cat w3_hh_inc_cat 		//categorical vars that we again don't need 

drop w1_no_cig_f w1_no_cig_nf w1_no_cig_h w1_no_cig_e w1_no_cigar w1_no_cig_oth		//created in analysis phase
drop w2_no_cig_f w2_no_cig_nf w2_no_cig_h w2_no_cig_e w2_no_cig_oth
drop w3_no_cig_f w3_no_cig_nf w3_no_cig_h w3_no_cig_e w3_no_cig_oth
drop w1_illicit_reviewer1 w1_illicit_reviewer2	//created during analysis based on other vars. Not labelled
drop w2_illicit_reviewer1 w2_illicit_reviewer2 
drop w3_illicit_reviewer1 w3_illicit_reviewer2

drop w1_hh_inc_nonmiss w2_hh_inc_nonmiss w3_hh_inc_nonmiss //flag based on other var
 
drop w2_smk_show_b2 w3_smk_show_b2 w2_smk_show_b1 w3_smk_show_b1	//based on other vars
ren w2_w_new w2_weight_new
drop w2_hh1_hh2	w3_hh1_hh2	//another var made in analysis 
**Labelling 
label var w2_weight_new "w2: For full sample, for all completed interviews (panels and new households)"
label var w1_smk_type "w1: smk_type"
label var w2_smk_type "w2: smk_type"
label var w3_smk_type "w3: smk_type"

label var w1_country1 "w1: Obs 1: Country of illicit, tax stamp examined first, then health warning"
label var w2_country1 "w2: Obs 1: Country of illicit, tax stamp examined first, then health warning"
label var w3_country1 "w3: Obs 1: Country of illicit, tax stamp examined first, then health warning"

label var w1_b4_c_b7_c "w1: Person smoked hand-rolled cigarettes (B4c or B7c is yes)"
label var w1_variabl02 "w1: DF Note: Unidentified variable that cannot be matched to questionnaire"
label var w3_beh_l "w3: Behavioral change after tax increase"



